Shipping Guide API
The Shipping Guide API provides available services for a given combination of sender and recipient locations, including estimated delivery times, prices and environmental data. It also returns logo and human readable service descriptions that can be shown in your checkout. Available services are based on your agreement with Bring (i.e. the customer numbers attached to your user).
Authentication
To integrate with the Bring APIs, you will need a Mybring user account with an API key. Information about prerequisites and authentication headers can be found on the general API Getting Started page.
Rate limiting
Clients exceeding 120 requests per second will be throttled, and the response will contain http status code 429. If you have a use case requiring rates above the limit, please contact developer-booking@bring.com for assistance.
Formats
Both XML and JSON over HTTP. The POST requests can be used for multiple consignments.
Special topics
- Using Shipping Guide API
- Price
- Lead time
- Lead time depends on the recipient’s postal code and address
- Estimated arrival time for domestic and cross-border parcel and cargo services
- Get alternative expected delivery dates
- Holidays and Home Delivery
- Environmental data
- Svalbard
Tips and guides
The importance of provided shipping date
Providing the actual shipping date in the request is a prerequisite for getting the correct lead times, as the lead time is always calculated from the day and time when the parcel arrives at a Bring terminal. It is recommended to read this guide for a better understanding of how the provided shipping date affects the returned lead time.
NOTE: In absence of a shipping date set by the user, the Shipping Guide API will default to now. If shipping date is set to now, lead times will be calculated on the assumption that the packages has just arrived at a terminal.
Holidays, weekends and lead time
When lead times are calculated, the returned estimates are always adjusted for weekends and official holidays. You will therefore never receive an estimate on a date we do not deliver. You can trust that the returned estimates are as accurate as possible.
NOTE: The provided shipping date is never adjusted for weekends and holidays. If you provide a shipping date that happens to be a sunday, the returned lead time would still be calculated with this date as the time the parcel has arrived at a terminal.
Endpoints
- Base URL
https://api.bring.com/shippingguide- OpenAPI document
- https://api.bring.com/shippingguide/api-docs
| Usage | Method | Endpoint |
|---|---|---|
| Fetch shipping details | POST |
/api/v2/products
|
Fetch shipping details
- POST
-
https://api.bring.com/shippingguide/api/v2/products
Use this endpoint to get expected delivery, prices, service categories and additional information.
Measurements
For cargo services(5100, 5300, 9100, CARGO), Weight is mandatory and one of the Volume / Load Meter / Dimensions / Number of Pallets is mandatory.
Note: The prices for our revised services depends on volumetric weight: 5000, 5100, 5300, 5600, 5800, 4850 plus return services 9000, 9100, 9300 or 9600. For these services, dimensions (L/W/H) is needed to calculate the expected price correctly. Dimensions are also used to decide if handling fee or specialgoods fee will apply to the shipment. You might leave dimensions empty in your request, but be aware that returned prices might be incorrect.
Request
header parameters
-
X-Mybring-API-UidRequired -
- Description
- Mybring login ID
- Type
- string
-
X-Mybring-API-KeyRequired -
- Description
- Your user's API key
- Type
- string
-
Accept -
- Description
- Desired output media type
- Type
- string
- Enum
-
application/json -
application/xml - Default
application/json
Body schema
-
Required
- List of consignmentsarray of objects
-
additionalServices - Additional services to be added[array null]
-
addressLine - The street name and number the consignment is to be delivered to[string null]
-
dangerousGoods -
fromCountryCodeRequired - Two-letter ISO-3166-1 country code of which consignment is sent from[string null]
-
fromPostalCodeRequired - The postal code the consignment is sent from[string null]
-
id - Your internal reference to this consignment (you may calculate several consignment at the same time)[string null]
-
incoterms - International commercial terms[string null]
-
packagesRequired - List of all packages in the consignment[array null]
-
pickupPointId - The pickup point id to which the consignment is to be shipped to. Only relevant for parcel products[string null]
-
pickupPoints - List of pickup points for which estimated delivery time should be calculated for (if varue of 'WithEstimatedDeliveryTime' is true). If not provided, the default pickup point for the receiver's postal code will be used.[array null]
-
productsRequired - List of all services price and lead times should be calculated for[array null]
-
shippingDate -
toCity - The city the consignment is to be delivered to[string null]
-
toCountryCodeRequired - Two-letter ISO-3166-1 country code of which consignment is sent to[string null]
-
toPostalCodeRequired - The postal code the consignment is to be delivered to[string null]
-
-
edi - Should the parcel be registered using EDI when shipped. Note that this flag may affect price and which services are available[boolean null]
-
language - Language in which human-readable message should be returned.[string null]
- Enum
-
NO(default) -
SE -
SV -
DA -
EN
-
numberOfAlternativeDeliveryDates - Number of alternative delivery dates to be suggested[integer null] <int32>
-
postingAtPostoffice - Will the parcel be delivered at a post office when shipped[boolean null]
-
withEnvironmentalData - Return environmental data about fossil free and electric transportation used on the shipments transport legs[boolean null]
-
withEstimatedDeliveryTime - Extended lead time information, including predicted arrivar time at pickup point. Only supported for a limited set of services[boolean null]
-
withExpectedDelivery - Controls whether lead times should be calculated or not[boolean null]
-
withGuiInformation - Return detailed information about requested service(s)[boolean null]
-
withPrice - Controls whether prices should be calculated. If customerNumber is supplied, the authenticated user requires the financial role with the provided customer[boolean null]
- object
-
-
Required
- List of consignmentsarray wrapped
-
- object
-
-
AdditionalServices - Additional services to be added[array null]
-
AddressLine - The street name and number the consignment is to be delivered to[string null]
-
dangerousGoods -
FromCountryCodeRequired - Two-letter ISO-3166-1 country code of which consignment is sent from[string null]
-
FromPostalCodeRequired - The postal code the consignment is sent from[string null]
-
id - Your internal reference to this consignment (you may calculate several consignment at the same time)[string null] attribute
-
Incoterms - International commercial terms[string null]
-
PackagesRequired - List of all packages in the consignment[array null]
-
PickupPointId - The pickup point id to which the consignment is to be shipped to. Only relevant for parcel products[string null]
-
PickupPoints - List of pickup points for which estimated delivery time should be calculated for (if varue of 'WithEstimatedDeliveryTime' is true). If not provided, the default pickup point for the receiver's postal code will be used.[array null]
-
ProductsRequired - List of all services price and lead times should be calculated for[array null]
-
shippingDate -
ToCity - The city the consignment is to be delivered to[string null]
-
ToCountryCodeRequired - Two-letter ISO-3166-1 country code of which consignment is sent to[string null]
-
ToPostalCodeRequired - The postal code the consignment is to be delivered to[string null]
-
-
EDI - Should the parcel be registered using EDI when shipped. Note that this flag may affect price and which services are available[boolean null]
-
Language - Language in which human-readable message should be returned.[string null]
- Enum
-
NO -
SE -
SV -
DA -
EN
-
NumberOfAlternativeDeliveryDates - Number of alternative delivery dates to be suggested[integer null] <int32>
-
PostingAtPostoffice - Will the parcel be delivered at a post office when shipped[boolean null]
-
WithEnvironmentalData - Return environmental data about fossil free and electric transportation used on the shipments transport legs[boolean null]
-
WithEstimatedDeliveryTime - Extended lead time information, including predicted arrivar time at pickup point. Only supported for a limited set of services[boolean null]
-
WithExpectedDelivery - Controls whether lead times should be calculated or not[boolean null]
-
WithGuiInformation - Return detailed information about requested service(s)[boolean null]
-
WithPrice - Controls whether prices should be calculated. If customerNumber is supplied, the authenticated user requires the financial role with the provided customer[boolean null]
-
Responses
200 OK
Schema
-
consignments - List of consignmentsarray
-
uniqueId - Request unique idstring
- object
-
-
Consignments - List of consignmentsarray
-
uniqueId - Request unique idstring attribute
-
400 Bad Request
Schema
-
fieldErrorsRequired - array
- object
-
-
FieldErrorsRequired - array
-
429 Too Many Requests
Schema
Media type: text/plain
-
- string
500 Internal Server Error
Schema
-
fieldErrorsRequired - array
- object
-
-
FieldErrorsRequired - array
-
Request examples
{
"consignments": [
{
"additionalServices": [],
"fromCountryCode": "NO",
"fromPostalCode": "1555",
"id": "1",
"packages": [
{
"grossWeight": 250,
"id": "1",
"nonStackable": false,
"numberOfPallets": 0,
"volumeSpecial": false
}
],
"pickupPoints": [],
"products": [
{
"autoSelectCustomerNumber": false,
"customerNumber": "123456789",
"id": "5600"
}
],
"shippingDate": {
"day": "15",
"hour": "10",
"minute": "36",
"month": "11",
"year": "2022"
},
"toCountryCode": "NO",
"toPostalCode": "0173"
}
],
"edi": false,
"language": "NO",
"numberOfAlternativeDeliveryDates": 3,
"postingAtPostoffice": false,
"trace": false,
"withEnvironmentalData": false,
"withEstimatedDeliveryTime": false,
"withExpectedDelivery": true,
"withGuiInformation": true,
"withPrice": true
}{
"consignments": [
{
"additionalServices": [],
"fromCountryCode": "NO",
"fromPostalCode": "1555",
"id": "1",
"packages": [
{
"grossWeight": 250,
"id": "1",
"nonStackable": false,
"numberOfPallets": 0,
"volumeSpecial": false
}
],
"pickupPoints": [
{
"id": "10878"
},
{
"id": "112951"
}
],
"products": [
{
"autoSelectCustomerNumber": false,
"id": "5800"
}
],
"shippingDate": {
"day": "15",
"hour": "10",
"minute": "36",
"month": "11",
"year": "2022"
},
"toCountryCode": "NO",
"toPostalCode": "0681"
}
],
"edi": false,
"language": "NO",
"numberOfAlternativeDeliveryDates": 0,
"postingAtPostoffice": false,
"trace": false,
"withEnvironmentalData": false,
"withEstimatedDeliveryTime": false,
"withExpectedDelivery": true,
"withGuiInformation": false,
"withPrice": false
}{
"consignments": [
{
"additionalServices": [],
"fromCountryCode": "NO",
"fromPostalCode": "1555",
"id": "1",
"packages": [
{
"grossWeight": 250,
"height": 10.5,
"id": "1",
"length": 25,
"nonStackable": false,
"numberOfPallets": 0,
"volumeSpecial": false,
"width": 20.5
},
{
"grossWeight": 442,
"id": "2",
"nonStackable": false,
"numberOfPallets": 0,
"volume": 34.5,
"volumeSpecial": false
}
],
"pickupPoints": [],
"products": [
{
"autoSelectCustomerNumber": false,
"customerNumber": "123456789",
"id": "5600"
}
],
"shippingDate": {
"day": "15",
"month": "11",
"year": "2022"
},
"toCountryCode": "NO",
"toPostalCode": "0173"
}
],
"edi": false,
"language": "NO",
"numberOfAlternativeDeliveryDates": 0,
"postingAtPostoffice": false,
"trace": false,
"withEnvironmentalData": false,
"withEstimatedDeliveryTime": false,
"withExpectedDelivery": true,
"withGuiInformation": true,
"withPrice": true
}{
"consignments": [
{
"additionalServices": [
{
"id": "2012"
}
],
"fromCountryCode": "NO",
"fromPostalCode": "1555",
"id": "1",
"packages": [
{
"grossWeight": 250,
"height": 10.5,
"id": "1",
"length": 25,
"nonStackable": false,
"numberOfPallets": 0,
"volumeSpecial": false,
"width": 20.5
}
],
"pickupPoints": [],
"products": [
{
"autoSelectCustomerNumber": false,
"customerNumber": "123456789",
"id": "5600"
}
],
"shippingDate": {
"day": "15",
"month": "11",
"year": "2022"
},
"toCountryCode": "NO",
"toPostalCode": "0173"
}
],
"edi": false,
"language": "NO",
"numberOfAlternativeDeliveryDates": 0,
"postingAtPostoffice": false,
"trace": false,
"withEnvironmentalData": false,
"withEstimatedDeliveryTime": false,
"withExpectedDelivery": true,
"withGuiInformation": true,
"withPrice": true
}{
"consignments": [
{
"additionalServices": [],
"fromCountryCode": "NO",
"fromPostalCode": "1555",
"id": "1",
"packages": [
{
"grossWeight": 250,
"height": 10.5,
"id": "1",
"length": 25,
"nonStackable": false,
"numberOfPallets": 0,
"volumeSpecial": false,
"width": 20.5
}
],
"pickupPoints": [],
"products": [
{
"autoSelectCustomerNumber": false,
"customerNumber": "123456789",
"id": "5600"
}
],
"shippingDate": {
"day": "15",
"month": "11",
"year": "2022"
},
"toCountryCode": "NO",
"toPostalCode": "0173"
}
],
"edi": false,
"language": "NO",
"numberOfAlternativeDeliveryDates": 0,
"postingAtPostoffice": false,
"trace": false,
"withEnvironmentalData": false,
"withEstimatedDeliveryTime": false,
"withExpectedDelivery": true,
"withGuiInformation": true,
"withPrice": true
}<?xml version="1.0" encoding="UTF-8"?>
<ShippingGuideRequest>
<Consignments>
<Consignment id="1">
<AdditionalServices>
</AdditionalServices>
<FromCountryCode>NO</FromCountryCode>
<FromPostalCode>1555</FromPostalCode>
<Packages>
<Package id="1">
<GrossWeight>250</GrossWeight>
</Package>
</Packages>
<PickupPoints>
</PickupPoints>
<Products>
<ProductIdType>
<CustomerNumber>123456789</CustomerNumber>
<Id>5600</Id>
</ProductIdType>
</Products>
<ShippingDate>
<Day>15</Day>
<Hour>10</Hour>
<Minute>36</Minute>
<Month>11</Month>
<Year>2022</Year>
</ShippingDate>
<ToCountryCode>NO</ToCountryCode>
<ToPostalCode>0173</ToPostalCode>
</Consignment>
</Consignments>
<Language>NO</Language>
<NumberOfAlternativeDeliveryDates>3</NumberOfAlternativeDeliveryDates>
<WithExpectedDelivery>true</WithExpectedDelivery>
<WithGuiInformation>true</WithGuiInformation>
<WithPrice>true</WithPrice>
</ShippingGuideRequest>
<?xml version="1.0" encoding="UTF-8"?>
<ShippingGuideRequest>
<Consignments>
<Consignment id="1">
<AdditionalServices>
</AdditionalServices>
<FromCountryCode>NO</FromCountryCode>
<FromPostalCode>1555</FromPostalCode>
<Packages>
<Package id="1">
<GrossWeight>250</GrossWeight>
</Package>
</Packages>
<PickupPoints>
<PickupPointInputType>
<Id>10878</Id>
</PickupPointInputType>
<PickupPointInputType>
<Id>112951</Id>
</PickupPointInputType>
</PickupPoints>
<Products>
<ProductIdType>
<Id>5800</Id>
</ProductIdType>
</Products>
<ShippingDate>
<Day>15</Day>
<Hour>10</Hour>
<Minute>36</Minute>
<Month>11</Month>
<Year>2022</Year>
</ShippingDate>
<ToCountryCode>NO</ToCountryCode>
<ToPostalCode>0681</ToPostalCode>
</Consignment>
</Consignments>
<Language>NO</Language>
<WithExpectedDelivery>true</WithExpectedDelivery>
</ShippingGuideRequest>
<?xml version="1.0" encoding="UTF-8"?>
<ShippingGuideRequest>
<Consignments>
<Consignment id="1">
<AdditionalServices>
</AdditionalServices>
<FromCountryCode>NO</FromCountryCode>
<FromPostalCode>1555</FromPostalCode>
<Packages>
<Package id="1">
<GrossWeight>250</GrossWeight>
<Height>10.5</Height>
<Length>25</Length>
<Width>20.5</Width>
</Package>
<Package id="2">
<GrossWeight>442</GrossWeight>
<Volume>34.5</Volume>
</Package>
</Packages>
<PickupPoints>
</PickupPoints>
<Products>
<ProductIdType>
<CustomerNumber>123456789</CustomerNumber>
<Id>5600</Id>
</ProductIdType>
</Products>
<ShippingDate>
<Day>15</Day>
<Month>11</Month>
<Year>2022</Year>
</ShippingDate>
<ToCountryCode>NO</ToCountryCode>
<ToPostalCode>0173</ToPostalCode>
</Consignment>
</Consignments>
<Language>NO</Language>
<WithExpectedDelivery>true</WithExpectedDelivery>
<WithGuiInformation>true</WithGuiInformation>
<WithPrice>true</WithPrice>
</ShippingGuideRequest>
<?xml version="1.0" encoding="UTF-8"?>
<ShippingGuideRequest>
<Consignments>
<Consignment id="1">
<AdditionalServices>
<AdditionalServiceInputType>
<Id>2012</Id>
</AdditionalServiceInputType>
</AdditionalServices>
<FromCountryCode>NO</FromCountryCode>
<FromPostalCode>1555</FromPostalCode>
<Packages>
<Package id="1">
<GrossWeight>250</GrossWeight>
<Height>10.5</Height>
<Length>25</Length>
<Width>20.5</Width>
</Package>
</Packages>
<PickupPoints>
</PickupPoints>
<Products>
<ProductIdType>
<CustomerNumber>123456789</CustomerNumber>
<Id>5600</Id>
</ProductIdType>
</Products>
<ShippingDate>
<Day>15</Day>
<Month>11</Month>
<Year>2022</Year>
</ShippingDate>
<ToCountryCode>NO</ToCountryCode>
<ToPostalCode>0173</ToPostalCode>
</Consignment>
</Consignments>
<Language>NO</Language>
<WithExpectedDelivery>true</WithExpectedDelivery>
<WithGuiInformation>true</WithGuiInformation>
<WithPrice>true</WithPrice>
</ShippingGuideRequest>
<?xml version="1.0" encoding="UTF-8"?>
<ShippingGuideRequest>
<Consignments>
<Consignment id="1">
<AdditionalServices>
</AdditionalServices>
<FromCountryCode>NO</FromCountryCode>
<FromPostalCode>1555</FromPostalCode>
<Packages>
<Package id="1">
<GrossWeight>250</GrossWeight>
<Height>10.5</Height>
<Length>25</Length>
<Width>20.5</Width>
</Package>
</Packages>
<PickupPoints>
</PickupPoints>
<Products>
<ProductIdType>
<CustomerNumber>123456789</CustomerNumber>
<Id>5600</Id>
</ProductIdType>
</Products>
<ShippingDate>
<Day>15</Day>
<Month>11</Month>
<Year>2022</Year>
</ShippingDate>
<ToCountryCode>NO</ToCountryCode>
<ToPostalCode>0173</ToPostalCode>
</Consignment>
</Consignments>
<Language>NO</Language>
<WithExpectedDelivery>true</WithExpectedDelivery>
<WithGuiInformation>true</WithGuiInformation>
<WithPrice>true</WithPrice>
</ShippingGuideRequest>
Response examples
{
"consignments": [
{
"consignmentId": "1",
"products": [
{
"expectedDelivery": {
"alternativeDeliveryDates": [
{
"expectedDeliveryDate": {
"day": "16",
"month": "11",
"timeSlots": [
{
"endTime": {
"hour": "21",
"minute": "0"
},
"startTime": {
"hour": "17",
"minute": "0"
}
}
],
"year": "2022"
},
"formattedExpectedDeliveryDate": "18.11.2022",
"shippingDate": {
"day": "16",
"month": "11",
"year": "2022"
},
"workingDays": "1"
},
{
"expectedDeliveryDate": {
"day": "16",
"month": "11",
"timeSlots": [
{
"endTime": {
"hour": "21",
"minute": "0"
},
"startTime": {
"hour": "17",
"minute": "0"
}
}
],
"year": "2022"
},
"formattedExpectedDeliveryDate": "21.11.2022",
"shippingDate": {
"day": "21",
"month": "11",
"year": "2022"
},
"workingDays": "1"
},
{
"expectedDeliveryDate": {
"day": "22",
"month": "11",
"timeSlots": [
{
"endTime": {
"hour": "21",
"minute": "0"
},
"startTime": {
"hour": "17",
"minute": "0"
}
}
],
"year": "2022"
},
"formattedExpectedDeliveryDate": "22.11.2022",
"shippingDate": {
"day": "16",
"month": "11",
"year": "2022"
},
"workingDays": "1"
}
],
"earliestPickupDate": {
"day": "16",
"hour": "13",
"minute": "23",
"month": "11",
"year": "2022"
},
"expectedDeliveryDate": {
"day": "16",
"month": "11",
"timeSlots": [
{
"endTime": {
"hour": "21",
"minute": "0"
},
"startTime": {
"hour": "17",
"minute": "0"
}
}
],
"year": "2022"
},
"formattedEarliestPickupDate": "16.11.2022 13:23",
"formattedExpectedDeliveryDate": "18.11.2022",
"userMessage": "",
"workingDays": "1"
},
"id": "5600",
"productionCode": "5600"
}
]
}
],
"uniqueId": "66091c94-6565-4c42-9c49-34bab012236d"
}{
"consignments": [
{
"consignmentId": "1",
"products": [
{
"guiInformation": {
"deliveryType": "Dør",
"descriptionText": "Pakken kan spores og leveres hjem til deg mellom kl. 17-21. Posten varsler deg før levering.",
"displayName": "Pakke levert hjem",
"environmentalLogoUrl": "https://www.mybring.com/shipping-guide/assets/img/Environment_logo.svg",
"environmentalTagUrl": "https://www.mybring.com/shipping-guide/assets/img/Environment_tag_fossilFree_en.png",
"helpText": "Pakke levert hjem leveres til mottaker mellom kl. 17-21. Mottaker varsles i god tid om forventet utleveringsdag via SMS eller e-post, i tillegg til nytt varsel når sendingen er lastet på bil for utkjøring samme dag. Mottaker kan gi Posten fullmakt til at pakken settes igjen ved døren eller et angitt sted hvis mottaker ikke er hjemme. Sjåføren varsler deg før levering på kveldstid. Mottaker kan endre leveringsdag når pakken spores (gjelder ikke lokalpakker). Dersom sendingen ikke kan leveres, blir den sendt til mottakers lokale hentested (postkontor eller Post i Butikk). Sendingen kan spores ved hjelp av sporingsnummeret.",
"logo": "POSTEN",
"logoUrl": "https://www.mybring.com/shipping-guide/assets/img/Posten_logo.svg",
"mainDisplayCategory": "Pakke",
"maxWeightInKgs": "35",
"productName": "Pakke levert hjem",
"productURL": "",
"shortName": "Pakke levert hjem",
"subDisplayCategory": "Til privatpersoner",
"trackable": true
},
"id": "5600",
"productionCode": "5600"
}
]
}
],
"uniqueId": "66091c94-6565-4c42-9c49-34bab012236d"
}{
"consignments": [
{
"consignmentId": "1",
"products": [
{
"errors": [
{
"code": "INVALID_MEASUREMENTS",
"description": "Consignment null with total chargeable weight null grams is not within weight limit null grams",
"errorCode": "CONSIGNMENT_CHARGEABLE_WEIGHT_LIMIT_EXCEEDED"
}
],
"id": "5800",
"productionCode": "5800"
}
]
}
],
"uniqueId": "66091c94-6565-4c42-9c49-34bab012236d"
}{
"consignments": [
{
"consignmentId": "1",
"products": [
{
"errors": [
{
"code": "INVALID_MEASUREMENTS",
"description": "The consignment packages total weight exceeds the maximum weight of null grams for product null",
"errorCode": "CONSIGNMENT_NOT_WITHIN_WEIGHT_LIMIT"
}
],
"id": "5800",
"productionCode": "5800"
}
]
}
],
"uniqueId": "66091c94-6565-4c42-9c49-34bab012236d"
}{
"consignments": [
{
"consignmentId": "1",
"products": [
{
"errors": [
{
"code": "INVALID_ARGUMENT",
"description": "The product null is not available for provided customer/day/area",
"errorCode": "COURIER_PRODUCT_NOT_AVAILABLE"
}
],
"id": "5800",
"productionCode": "5800"
}
]
}
],
"uniqueId": "66091c94-6565-4c42-9c49-34bab012236d"
}{
"consignments": [
{
"consignmentId": "1",
"products": [
{
"errors": [
{
"code": "FORBIDDEN",
"description": "User does not have access to customer null. Either the customer number is misspelled or you don't have access to that customer in mybring. API customer numbers can be viewed in the profile pages in mybring or fetched using the Booking API's Customer Endpoint (see developer.bring.com).",
"errorCode": "CUSTOMER_FORBIDDEN"
}
],
"id": "5800",
"productionCode": "5800"
}
]
}
],
"uniqueId": "66091c94-6565-4c42-9c49-34bab012236d"
}{
"consignments": [
{
"consignmentId": "1",
"products": [
{
"errors": [
{
"code": "FORBIDDEN",
"description": "User does not have access to financial information for customer null. You might want to contact the mybring administrator for this customer (typically a privileged user from that customer).",
"errorCode": "CUSTOMER_NO_FINANCIAL_ACCESS"
}
],
"id": "5800",
"productionCode": "5800"
}
]
}
],
"uniqueId": "66091c94-6565-4c42-9c49-34bab012236d"
}{
"consignments": [
{
"consignmentId": "1",
"products": [
{
"errors": [
{
"code": "INVALID_ARGUMENT",
"description": "Customer not applicable for product null",
"errorCode": "CUSTOMER_NOT_APPLICABLE_FOR_PRODUCT"
}
],
"id": "5800",
"productionCode": "5800"
}
]
}
],
"uniqueId": "66091c94-6565-4c42-9c49-34bab012236d"
}{
"consignments": [
{
"consignmentId": "1",
"products": [
{
"errors": [
{
"code": "NOT_FOUND",
"description": "Customer null not found",
"errorCode": "CUSTOMER_NOT_FOUND"
}
],
"id": "5800",
"productionCode": "5800"
}
]
}
],
"uniqueId": "66091c94-6565-4c42-9c49-34bab012236d"
}{
"consignments": [
{
"consignmentId": "1",
"products": [
{
"errors": [
{
"code": "INVALID_ARGUMENT",
"description": "Product ? requires a customer number set on the product element",
"errorCode": "CUSTOMER_NOT_SPECIFIED"
}
],
"id": "5800",
"productionCode": "5800"
}
]
}
],
"uniqueId": "66091c94-6565-4c42-9c49-34bab012236d"
}{
"consignments": [
{
"consignmentId": "1",
"products": [
{
"errors": [
{
"code": "INTERNAL_ERROR",
"description": "An external service for product ? is currently not available. If the problem persists, please contact us",
"errorCode": "EXTERNAL_SERVICE_UNAVAILABLE"
}
],
"id": "5800",
"productionCode": "5800"
}
]
}
],
"uniqueId": "66091c94-6565-4c42-9c49-34bab012236d"
}{
"consignments": [
{
"consignmentId": "1",
"products": [
{
"errors": [
{
"code": "INTERNAL_ERROR",
"description": "Internal Error",
"errorCode": "INTERNAL_ERROR"
}
],
"id": "5800",
"productionCode": "5800"
}
]
}
],
"uniqueId": "66091c94-6565-4c42-9c49-34bab012236d"
}{
"consignments": [
{
"consignmentId": "1",
"products": [
{
"errors": [
{
"code": "INVALID_ARGUMENT",
"description": "",
"errorCode": "INVALID_ARGUMENTS"
}
],
"id": "5800",
"productionCode": "5800"
}
]
}
],
"uniqueId": "66091c94-6565-4c42-9c49-34bab012236d"
}{
"consignments": [
{
"consignmentId": "1",
"products": [
{
"errors": [
{
"code": "INVALID_ARGUMENT",
"description": "Product null can not be sent from country null to country null",
"errorCode": "INVALID_COUNTRY_PAIR"
}
],
"id": "5800",
"productionCode": "5800"
}
]
}
],
"uniqueId": "66091c94-6565-4c42-9c49-34bab012236d"
}{
"consignments": [
{
"consignmentId": "1",
"products": [
{
"errors": [
{
"code": "INVALID_ARGUMENT",
"description": "Cannot add ? with customer null",
"errorCode": "INVALID_CUSTOMER_VAS_COMBINATION"
}
],
"id": "5800",
"productionCode": "5800"
}
]
}
],
"uniqueId": "66091c94-6565-4c42-9c49-34bab012236d"
}{
"consignments": [
{
"consignmentId": "1",
"products": [
{
"errors": [
{
"code": "INVALID_ARGUMENT",
"description": "Cannot add ? with product null with specified shipment details",
"errorCode": "INVALID_SERVICE_VAS_COMBINATION"
}
],
"id": "5800",
"productionCode": "5800"
}
]
}
],
"uniqueId": "66091c94-6565-4c42-9c49-34bab012236d"
}{
"consignments": [
{
"consignmentId": "1",
"products": [
{
"errors": [
{
"code": "INVALID_ARGUMENT",
"description": "Incompatible Value Added Service combination. ? additional services can not be used together.",
"errorCode": "INVALID_VAS_COMBINATION"
}
],
"id": "5800",
"productionCode": "5800"
}
]
}
],
"uniqueId": "66091c94-6565-4c42-9c49-34bab012236d"
}{
"consignments": [
{
"consignmentId": "1",
"products": [
{
"errors": [
{
"code": "INVALID_ARGUMENT",
"description": "Main customer number is required for service ?",
"errorCode": "MAIN_CUSTOMER_NUMBER_REQUIRED"
}
],
"id": "5800",
"productionCode": "5800"
}
]
}
],
"uniqueId": "66091c94-6565-4c42-9c49-34bab012236d"
}{
"consignments": [
{
"consignmentId": "1",
"products": [
{
"errors": [
{
"code": "INVALID_ARGUMENT",
"description": "Multiple Packages are not supported for product null",
"errorCode": "MULTIPLE_PACKAGE_NOT_SUPPORTED"
}
],
"id": "5800",
"productionCode": "5800"
}
]
}
],
"uniqueId": "66091c94-6565-4c42-9c49-34bab012236d"
}{
"consignments": [
{
"consignmentId": "1",
"products": [
{
"errors": [
{
"code": "INVALID_ARGUMENT",
"description": "nonstandardcourierservice must be provided",
"errorCode": "NON_STANDARD_COURIER_SERVICE_REQUIRED"
}
],
"id": "5800",
"productionCode": "5800"
}
]
}
],
"uniqueId": "66091c94-6565-4c42-9c49-34bab012236d"
}{
"consignments": [
{
"consignmentId": "1",
"products": [
{
"errors": [
{
"code": "INVALID_ARGUMENT",
"description": "NumberOfPallets or LoadMeters cannot be used with product null",
"errorCode": "NUMBER_OF_PALLETS_AND_LOAD_METERS_NOT_SUPPORTED"
}
],
"id": "5800",
"productionCode": "5800"
}
]
}
],
"uniqueId": "66091c94-6565-4c42-9c49-34bab012236d"
}{
"consignments": [
{
"consignmentId": "1",
"products": [
{
"errors": [
{
"code": "INTERNAL_ERROR",
"description": "The oil express product is not available between 2300 and 0400 hours.",
"errorCode": "OIL_EXPRESS_NOT_AVAILABLE"
}
],
"id": "5800",
"productionCode": "5800"
}
]
}
],
"uniqueId": "66091c94-6565-4c42-9c49-34bab012236d"
}{
"consignments": [
{
"consignmentId": "1",
"products": [
{
"errors": [
{
"code": "INVALID_ARGUMENT",
"description": "Product null can not be sent between the given postal codes / countries",
"errorCode": "OUTSIDE_COVERAGE_AREA"
}
],
"id": "5800",
"productionCode": "5800"
}
]
}
],
"uniqueId": "66091c94-6565-4c42-9c49-34bab012236d"
}{
"consignments": [
{
"consignmentId": "1",
"products": [
{
"errors": [
{
"code": "INVALID_ARGUMENT",
"description": "Product null not available as EXPRESS between the given postal codes / countries",
"errorCode": "OUTSIDE_COVERAGE_AREA_EXPRESS"
}
],
"id": "5800",
"productionCode": "5800"
}
]
}
],
"uniqueId": "66091c94-6565-4c42-9c49-34bab012236d"
}{
"consignments": [
{
"consignmentId": "1",
"products": [
{
"errors": [
{
"code": "INVALID_ARGUMENT",
"description": "Product null can not be sent from a special postal code",
"errorCode": "OUTSIDE_COVERAGE_AREA_FROM_SPECIAL_POSTAL_CODE"
}
],
"id": "5800",
"productionCode": "5800"
}
]
}
],
"uniqueId": "66091c94-6565-4c42-9c49-34bab012236d"
}{
"consignments": [
{
"consignmentId": "1",
"products": [
{
"errors": [
{
"code": "INVALID_ARGUMENT",
"description": "Product null can not be sent from a Svalbard postal code",
"errorCode": "OUTSIDE_COVERAGE_AREA_FROM_SVALBARD"
}
],
"id": "5800",
"productionCode": "5800"
}
]
}
],
"uniqueId": "66091c94-6565-4c42-9c49-34bab012236d"
}{
"consignments": [
{
"consignmentId": "1",
"products": [
{
"errors": [
{
"code": "INVALID_ARGUMENT",
"description": "Product null can not be sent to/from a po box postal code",
"errorCode": "OUTSIDE_COVERAGE_AREA_PO_BOX"
}
],
"id": "5800",
"productionCode": "5800"
}
]
}
],
"uniqueId": "66091c94-6565-4c42-9c49-34bab012236d"
}{
"consignments": [
{
"consignmentId": "1",
"products": [
{
"errors": [
{
"code": "INVALID_ARGUMENT",
"description": "Product null can not be sent to/from a special postal code",
"errorCode": "OUTSIDE_COVERAGE_AREA_SPECIAL_POSTAL_CODE"
}
],
"id": "5800",
"productionCode": "5800"
}
]
}
],
"uniqueId": "66091c94-6565-4c42-9c49-34bab012236d"
}{
"consignments": [
{
"consignmentId": "1",
"products": [
{
"errors": [
{
"code": "INVALID_ARGUMENT",
"description": "Product null can not be sent to a po box postal code",
"errorCode": "OUTSIDE_COVERAGE_AREA_TO_PO_BOX"
}
],
"id": "5800",
"productionCode": "5800"
}
]
}
],
"uniqueId": "66091c94-6565-4c42-9c49-34bab012236d"
}{
"consignments": [
{
"consignmentId": "1",
"products": [
{
"errors": [
{
"code": "INVALID_ARGUMENT",
"description": "Product null can not be sent to a special postal code",
"errorCode": "OUTSIDE_COVERAGE_AREA_TO_SPECIAL_POSTAL_CODE"
}
],
"id": "5800",
"productionCode": "5800"
}
]
}
],
"uniqueId": "66091c94-6565-4c42-9c49-34bab012236d"
}{
"consignments": [
{
"consignmentId": "1",
"products": [
{
"errors": [
{
"code": "INVALID_ARGUMENT",
"description": "Product null can not be sent to a Svalbard postal code",
"errorCode": "OUTSIDE_COVERAGE_AREA_TO_SVALBARD"
}
],
"id": "5800",
"productionCode": "5800"
}
]
}
],
"uniqueId": "66091c94-6565-4c42-9c49-34bab012236d"
}{
"consignments": [
{
"consignmentId": "1",
"products": [
{
"errors": [
{
"code": "INVALID_MEASUREMENTS",
"description": "Package ? is smaller than min dimensions of null x null x null",
"errorCode": "PACKAGE_DIMENSIONS_TOO_SMALL"
}
],
"id": "5800",
"productionCode": "5800"
}
]
}
],
"uniqueId": "66091c94-6565-4c42-9c49-34bab012236d"
}{
"consignments": [
{
"consignmentId": "1",
"products": [
{
"errors": [
{
"code": "INVALID_MEASUREMENTS",
"description": "Package ? exceed maximum weight of null grams for product null",
"errorCode": "PACKAGE_NOT_WITHIN_WEIGHT_LIMIT"
}
],
"id": "5800",
"productionCode": "5800"
}
]
}
],
"uniqueId": "66091c94-6565-4c42-9c49-34bab012236d"
}{
"consignments": [
{
"consignmentId": "1",
"products": [
{
"errors": [
{
"code": "INVALID_MEASUREMENTS",
"description": "Package null exceed maximum measurements for product null",
"errorCode": "PACKAGE_TOO_BIG"
}
],
"id": "5800",
"productionCode": "5800"
}
]
}
],
"uniqueId": "66091c94-6565-4c42-9c49-34bab012236d"
}{
"consignments": [
{
"consignmentId": "1",
"products": [
{
"errors": [
{
"code": "INVALID_MEASUREMENTS",
"description": "Package ? does not satisfy minimum weight or volume criteria",
"errorCode": "PACKAGE_WEIGHT_OR_VOLUME_BELOW_MINIMUM_LIMIT"
}
],
"id": "5800",
"productionCode": "5800"
}
]
}
],
"uniqueId": "66091c94-6565-4c42-9c49-34bab012236d"
}{
"consignments": [
{
"consignmentId": "1",
"products": [
{
"errors": [
{
"code": "INTERNAL_ERROR",
"description": "Price calculation failed for product ?. If the problem persists, please contact us",
"errorCode": "PRICE_CALCULATION_FAILED"
}
],
"id": "5800",
"productionCode": "5800"
}
]
}
],
"uniqueId": "66091c94-6565-4c42-9c49-34bab012236d"
}{
"consignments": [
{
"consignmentId": "1",
"products": [
{
"errors": [
{
"code": "INVALID_ARGUMENT",
"description": "Product ? is not supported on this version. Use latest service ? for the product.",
"errorCode": "PRODUCT_NOT_SUPPORTED"
}
],
"id": "5800",
"productionCode": "5800"
}
]
}
],
"uniqueId": "66091c94-6565-4c42-9c49-34bab012236d"
}{
"consignments": [
{
"consignmentId": "1",
"products": [
{
"errors": [
{
"code": "INVALID_ARGUMENT",
"description": "Product null was skipped since shipment can use normal courier product.",
"errorCode": "PRODUCT_SKIPPED_COURIER"
}
],
"id": "5800",
"productionCode": "5800"
}
]
}
],
"uniqueId": "66091c94-6565-4c42-9c49-34bab012236d"
}{
"consignments": [
{
"consignmentId": "1",
"products": [
{
"errors": [
{
"code": "INVALID_ARGUMENT",
"description": "Unknown product ID or product ? not applicable for given EDI flag.",
"errorCode": "PRODUCT_UNKNOWN"
}
],
"id": "5800",
"productionCode": "5800"
}
]
}
],
"uniqueId": "66091c94-6565-4c42-9c49-34bab012236d"
}{
"consignments": [
{
"consignmentId": "1",
"products": [
{
"errors": [
{
"code": "INVALID_MEASUREMENTS",
"description": "Product null requires weight information for package ?",
"errorCode": "REQUIRES_WEIGHT"
}
],
"id": "5800",
"productionCode": "5800"
}
]
}
],
"uniqueId": "66091c94-6565-4c42-9c49-34bab012236d"
}{
"consignments": [
{
"consignmentId": "1",
"products": [
{
"errors": [
{
"code": "INVALID_ARGUMENT",
"description": "Saturday delivery (1062) is not available between postal codes null and null",
"errorCode": "SATURDAY_DELIVERY_NOT_AVAILABLE_FOR_ROUTE"
}
],
"id": "5800",
"productionCode": "5800"
}
]
}
],
"uniqueId": "66091c94-6565-4c42-9c49-34bab012236d"
}{
"consignments": [
{
"consignmentId": "1",
"products": [
{
"errors": [
{
"code": "INVALID_ARGUMENT",
"description": "Shipping date cannot be more than 10 days into the future",
"errorCode": "SHIPPING_DATE_MAX_10_DAYS_INTO_FUTURE"
}
],
"id": "5800",
"productionCode": "5800"
}
]
}
],
"uniqueId": "66091c94-6565-4c42-9c49-34bab012236d"
}{
"consignments": [
{
"consignmentId": "1",
"products": [
{
"errors": [
{
"code": "INVALID_ARGUMENT",
"description": "Shipping date must be current date or in the future",
"errorCode": "SHIPPING_DATE_MUST_BE_CURRENT_DATE_OR_FUTURE"
}
],
"id": "5800",
"productionCode": "5800"
}
]
}
],
"uniqueId": "66091c94-6565-4c42-9c49-34bab012236d"
}{
"consignments": [
{
"consignmentId": "1",
"products": [
{
"errors": [
{
"code": "INVALID_MEASUREMENTS",
"description": "Number of packages exceeds maximum of null",
"errorCode": "TOO_MANY_PACKAGES"
}
],
"id": "5800",
"productionCode": "5800"
}
]
}
],
"uniqueId": "66091c94-6565-4c42-9c49-34bab012236d"
}{
"consignments": [
{
"consignmentId": "1",
"products": [
{
"errors": [
{
"code": "INVALID_ARGUMENT",
"description": "Additional service(s) ? requires customer number",
"errorCode": "VAS_REQUIRES_CUSTOMER_NUMBER"
}
],
"id": "5800",
"productionCode": "5800"
}
]
}
],
"uniqueId": "66091c94-6565-4c42-9c49-34bab012236d"
}{
"consignments": [
{
"consignmentId": "1",
"products": [
{
"errors": [
{
"code": "INVALID_MEASUREMENTS",
"description": "Weight and either of volume or dimensions(length, width, height) or pallets or load meter is required for product null, packageId : ?",
"errorCode": "WEIGHT_AND_VOLUME_OR_DIMENSIONS_OR_PALLETS_OR_LOAD_METER_REQUIRED"
}
],
"id": "5800",
"productionCode": "5800"
}
]
}
],
"uniqueId": "66091c94-6565-4c42-9c49-34bab012236d"
}{
"consignments": [
{
"consignmentId": "1",
"products": [
{
"errors": [
{
"code": "INVALID_MEASUREMENTS",
"description": "Either weight or dimensions(length, width, height) or volume is required for product null, packageId : ?",
"errorCode": "WEIGHT_OR_DIMENSIONS_OR_VOLUME_REQUIRED"
}
],
"id": "5800",
"productionCode": "5800"
}
]
}
],
"uniqueId": "66091c94-6565-4c42-9c49-34bab012236d"
}{
"consignments": [
{
"consignmentId": "1",
"products": [
{
"errors": [
{
"code": "INVALID_MEASUREMENTS",
"description": "Weight and dimensions(length, width, height) are required for product null, packageId : ?",
"errorCode": "WEIGHT_OR_DIMENSIONS_REQUIRED"
}
],
"id": "5800",
"productionCode": "5800"
}
]
}
],
"uniqueId": "66091c94-6565-4c42-9c49-34bab012236d"
}{
"consignments": [
{
"consignmentId": "1",
"products": [
{
"estimatedDeliveryTimes": [
{
"deliveryEndTime": "18:00",
"deliveryStartTime": "15:00",
"formattedExpectedDeliveryDate": "17.11.2022",
"pickupPointId": "121305",
"shippingDate": "16.11.2022",
"workingDays": 1
}
],
"id": "5800",
"productionCode": "5800"
}
]
}
],
"uniqueId": "66091c94-6565-4c42-9c49-34bab012236d"
}{
"consignments": [
{
"consignmentId": "1",
"products": [
{
"environmentalData": [
{
"description": "Pakken leveres fossilfritt til din adresse",
"details": {
"bio": 0,
"electric": 1
},
"fossilFree": true,
"nordicSwanEcoLabel": false,
"transportLeg": "LAST_MILE"
}
],
"expectedDelivery": {
"earliestPickupDate": {
"day": "15",
"hour": "13",
"minute": "23",
"month": "11",
"year": "2022"
},
"expectedDeliveryDate": {
"day": "16",
"month": "11",
"timeSlots": [
{
"endTime": {
"hour": "22",
"minute": "0"
},
"startTime": {
"hour": "15",
"minute": "0"
}
}
],
"year": "2022"
},
"formattedEarliestPickupDate": "15.11.2022 13:23",
"formattedExpectedDeliveryDate": "16.11.2022",
"userMessage": "",
"workingDays": "1"
},
"id": "5600",
"productionCode": "5600"
}
]
}
],
"uniqueId": "66091c94-6565-4c42-9c49-34bab012236d"
}{
"consignments": [
{
"consignmentId": "1",
"products": [
{
"id": "5600",
"price": {
"listPrice": {
"additionalServices": [
{
"additionalServiceCodeFromProductionSystem": "0041",
"additionalServiceDescription": "",
"additionalServiceId": "0041",
"additionalServicePrice": {
"amountWithVAT": "0.00",
"amountWithoutVAT": "0.00",
"vat": "0.00"
}
}
],
"currencyCode": "NOK",
"priceWithAdditionalServices": {
"amountWithVAT": "285.96",
"amountWithoutVAT": "228.77",
"vat": "57.19"
},
"priceWithoutAdditionalServices": {
"amountWithVAT": "285.96",
"amountWithoutVAT": "228.77",
"vat": "57.19"
}
},
"zones": {
"totalZoneCount": 3
}
},
"productionCode": "5600",
"shippingWeight": 1
}
]
}
],
"uniqueId": "66091c94-6565-4c42-9c49-34bab012236d"
}{
"consignments": [
{
"consignmentId": "1",
"products": [
{
"id": "5800",
"price": {
"listPrice": {
"currencyCode": "NOK",
"priceWithAdditionalServices": {
"amountWithVAT": "185.04",
"amountWithoutVAT": "148.03",
"vat": "37.01"
},
"priceWithoutAdditionalServices": {
"amountWithVAT": "185.04",
"amountWithoutVAT": "148.03",
"vat": "37.01"
}
},
"zones": {
"totalZoneCount": 3
}
},
"productionCode": "5800",
"shippingWeight": 1
}
]
}
],
"uniqueId": "66091c94-6565-4c42-9c49-34bab012236d"
}{
"consignments": [
{
"consignmentId": "1",
"products": [
{
"id": "5600",
"price": {
"listPrice": {
"additionalServices": [
{
"additionalServiceCodeFromProductionSystem": "2012",
"additionalServiceDescription": "",
"additionalServiceId": "2012",
"additionalServicePrice": {
"amountWithVAT": "37.50",
"amountWithoutVAT": "30.00",
"vat": "7.50"
}
}
],
"currencyCode": "NOK",
"priceWithAdditionalServices": {
"amountWithVAT": "323.46",
"amountWithoutVAT": "258.77",
"vat": "64.69"
},
"priceWithoutAdditionalServices": {
"amountWithVAT": "285.96",
"amountWithoutVAT": "228.77",
"vat": "57.19"
}
},
"netPrice": {
"additionalServices": [
{
"additionalServiceCodeFromProductionSystem": "2012",
"additionalServiceDescription": "",
"additionalServiceId": "2012",
"additionalServicePrice": {
"amountWithVAT": "37.50",
"amountWithoutVAT": "30.00",
"vat": "7.50"
}
}
],
"currencyCode": "NOK",
"priceWithAdditionalServices": {
"amountWithVAT": "323.46",
"amountWithoutVAT": "258.77",
"vat": "64.69"
},
"priceWithoutAdditionalServices": {
"amountWithVAT": "285.96",
"amountWithoutVAT": "228.77",
"vat": "57.19"
}
},
"zones": {
"totalZoneCount": 5
}
},
"productionCode": "5600",
"shippingWeight": 1
}
]
}
],
"uniqueId": "66091c94-6565-4c42-9c49-34bab012236d"
}{
"consignments": [
{
"consignmentId": "1",
"products": [
{
"id": "5800",
"productionCode": "5800",
"warnings": [
{
"code": "ADDITIONAL_SERVICE_NOT_APPLICABLE",
"description": "Additional service null is not applicable for product null"
}
]
}
]
}
],
"uniqueId": "66091c94-6565-4c42-9c49-34bab012236d"
}{
"consignments": [
{
"consignmentId": "1",
"products": [
{
"id": "5800",
"productionCode": "5800",
"warnings": [
{
"code": "ADDRESS_NOT_MATCHED",
"description": "Recipient address can't be matched. Expected leadtime has been calculated based on postal code only, and might therefore be incorrect."
}
]
}
]
}
],
"uniqueId": "66091c94-6565-4c42-9c49-34bab012236d"
}{
"consignments": [
{
"consignmentId": "1",
"products": [
{
"id": "5800",
"productionCode": "5800",
"warnings": [
{
"code": "NO_ALTERNATIVE_DATES",
"description": "Alternative dates is not available for service null"
}
]
}
]
}
],
"uniqueId": "66091c94-6565-4c42-9c49-34bab012236d"
}{
"consignments": [
{
"consignmentId": "1",
"products": [
{
"id": "5800",
"productionCode": "5800",
"warnings": [
{
"code": "NO_ENVIRONMENTAL_DATA",
"description": "Environmental data is not available for null"
}
]
}
]
}
],
"uniqueId": "66091c94-6565-4c42-9c49-34bab012236d"
}{
"consignments": [
{
"consignmentId": "1",
"products": [
{
"id": "5800",
"productionCode": "5800",
"warnings": [
{
"code": "NO_EXPECTED_DELIVERY",
"description": "Expected delivery date is not available"
}
]
}
]
}
],
"uniqueId": "66091c94-6565-4c42-9c49-34bab012236d"
}{
"consignments": [
{
"consignmentId": "1",
"products": [
{
"id": "5800",
"productionCode": "5800",
"warnings": [
{
"code": "LEADTIME_NOT_FOUND",
"description": "Expected delivery is not available"
}
]
}
]
}
],
"uniqueId": "66091c94-6565-4c42-9c49-34bab012236d"
}{
"consignments": [
{
"consignmentId": "1",
"products": [
{
"id": "5800",
"productionCode": "5800",
"warnings": [
{
"code": "NO_PRICE_INFORMATION",
"description": "The service currently does not offer price information for null"
}
]
}
]
}
],
"uniqueId": "66091c94-6565-4c42-9c49-34bab012236d"
}{
"consignments": [
{
"consignmentId": "1",
"products": [
{
"id": "5800",
"productionCode": "5800",
"warnings": [
{
"code": "OUTSIDE_STANDARD_COVERAGE_AREA_FOR_PRODUCT",
"description": "Outside standard coverage area for product: null"
}
]
}
]
}
],
"uniqueId": "66091c94-6565-4c42-9c49-34bab012236d"
}{
"consignments": [
{
"consignmentId": "1",
"products": [
{
"id": "5800",
"productionCode": "5800",
"warnings": [
{
"code": "SPECIAL_CARGO_LIMITS_EXCEEDED",
"description": "One or more of the packages dimensions exceeds the special cargo limits of null cm x null cm x null cm, or null kg, and price cannot be calculated automatically. Please contact us for a custom price quotation for this consignment"
}
]
}
]
}
],
"uniqueId": "66091c94-6565-4c42-9c49-34bab012236d"
}{
"consignments": [
{
"consignmentId": "1",
"products": [
{
"id": "5800",
"productionCode": "5800",
"warnings": [
{
"code": "SPECIAL_HANDLING_LIMITS_EXCEEDED",
"description": "One or more of the packages dimensions exceeds the special cargo handling limits of null cm x null cm x null cm, or null kg, and price cannot be calculated automatically. Please contact us for a custom price quotation for this consignment"
}
]
}
]
}
],
"uniqueId": "66091c94-6565-4c42-9c49-34bab012236d"
}{
"consignments": [
{
"consignmentId": "1",
"products": [
{
"id": "5800",
"productionCode": "5800",
"warnings": [
{
"code": "SVALBARD_POSSIBLE_DELAY",
"description": "For packages sent between Svalbard and mainland Norway, delays must be expected."
}
]
}
]
}
],
"uniqueId": "66091c94-6565-4c42-9c49-34bab012236d"
}<?xml version="1.0" encoding="UTF-8"?>
<ShippingGuideResponse uniqueId="66091c94-6565-4c42-9c49-34bab012236d">
<Consignments>
<ConsignmentOutputType consignmentId="1">
<Products>
<ProductOutputType>
<ExpectedDeliveryType>
<AlternativeDeliveryDates>
<AlternativeDeliveryDateType>
<ExpectedDeliveryDateType>
<Day>16</Day>
<Month>11</Month>
<TimeSlots>
<TimeSlotType>
<DayTimeType>
<Hour>21</Hour>
<Minute>0</Minute>
</DayTimeType>
<DayTimeType>
<Hour>17</Hour>
<Minute>0</Minute>
</DayTimeType>
</TimeSlotType>
</TimeSlots>
<Year>2022</Year>
</ExpectedDeliveryDateType>
<FormattedExpectedDeliveryDate>18.11.2022</FormattedExpectedDeliveryDate>
<DateAndTimeType>
<Day>16</Day>
<Month>11</Month>
<Year>2022</Year>
</DateAndTimeType>
<WorkingDays>1</WorkingDays>
</AlternativeDeliveryDateType>
<AlternativeDeliveryDateType>
<ExpectedDeliveryDateType>
<Day>16</Day>
<Month>11</Month>
<TimeSlots>
<TimeSlotType>
<DayTimeType>
<Hour>21</Hour>
<Minute>0</Minute>
</DayTimeType>
<DayTimeType>
<Hour>17</Hour>
<Minute>0</Minute>
</DayTimeType>
</TimeSlotType>
</TimeSlots>
<Year>2022</Year>
</ExpectedDeliveryDateType>
<FormattedExpectedDeliveryDate>21.11.2022</FormattedExpectedDeliveryDate>
<DateAndTimeType>
<Day>21</Day>
<Month>11</Month>
<Year>2022</Year>
</DateAndTimeType>
<WorkingDays>1</WorkingDays>
</AlternativeDeliveryDateType>
<AlternativeDeliveryDateType>
<ExpectedDeliveryDateType>
<Day>22</Day>
<Month>11</Month>
<TimeSlots>
<TimeSlotType>
<DayTimeType>
<Hour>21</Hour>
<Minute>0</Minute>
</DayTimeType>
<DayTimeType>
<Hour>17</Hour>
<Minute>0</Minute>
</DayTimeType>
</TimeSlotType>
</TimeSlots>
<Year>2022</Year>
</ExpectedDeliveryDateType>
<FormattedExpectedDeliveryDate>22.11.2022</FormattedExpectedDeliveryDate>
<DateAndTimeType>
<Day>16</Day>
<Month>11</Month>
<Year>2022</Year>
</DateAndTimeType>
<WorkingDays>1</WorkingDays>
</AlternativeDeliveryDateType>
</AlternativeDeliveryDates>
<DateAndTimeType>
<Day>16</Day>
<Hour>13</Hour>
<Minute>23</Minute>
<Month>11</Month>
<Year>2022</Year>
</DateAndTimeType>
<ExpectedDeliveryDateType>
<Day>16</Day>
<Month>11</Month>
<TimeSlots>
<TimeSlotType>
<DayTimeType>
<Hour>21</Hour>
<Minute>0</Minute>
</DayTimeType>
<DayTimeType>
<Hour>17</Hour>
<Minute>0</Minute>
</DayTimeType>
</TimeSlotType>
</TimeSlots>
<Year>2022</Year>
</ExpectedDeliveryDateType>
<FormattedEarliestPickupDate>16.11.2022 13:23</FormattedEarliestPickupDate>
<FormattedExpectedDeliveryDate>18.11.2022</FormattedExpectedDeliveryDate>
<WorkingDays>1</WorkingDays>
</ExpectedDeliveryType>
<Id>5600</Id>
<ProductionCode>5600</ProductionCode>
</ProductOutputType>
</Products>
</ConsignmentOutputType>
</Consignments>
</ShippingGuideResponse>
<?xml version="1.0" encoding="UTF-8"?>
<ShippingGuideResponse uniqueId="66091c94-6565-4c42-9c49-34bab012236d">
<Consignments>
<ConsignmentOutputType consignmentId="1">
<Products>
<ProductOutputType>
<GuiInformationType>
<DeliveryType>Dør</DeliveryType>
<DescriptionText>Pakken kan spores og leveres hjem til deg mellom kl. 17-21. Posten varsler deg før levering.</DescriptionText>
<DisplayName>Pakke levert hjem</DisplayName>
<EnvironmentalLogoUrl>https://www.mybring.com/shipping-guide/assets/img/Environment_logo.svg</EnvironmentalLogoUrl>
<EnvironmentalTagUrl>https://www.mybring.com/shipping-guide/assets/img/Environment_tag_fossilFree_en.png</EnvironmentalTagUrl>
<HelpText>Pakke levert hjem leveres til mottaker mellom kl. 17-21. Mottaker varsles i god tid om forventet utleveringsdag via SMS eller e-post, i tillegg til nytt varsel når sendingen er lastet på bil for utkjøring samme dag. Mottaker kan gi Posten fullmakt til at pakken settes igjen ved døren eller et angitt sted hvis mottaker ikke er hjemme. Sjåføren varsler deg før levering på kveldstid. Mottaker kan endre leveringsdag når pakken spores (gjelder ikke lokalpakker). Dersom sendingen ikke kan leveres, blir den sendt til mottakers lokale hentested (postkontor eller Post i Butikk). Sendingen kan spores ved hjelp av sporingsnummeret.</HelpText>
<Logo>POSTEN</Logo>
<LogoUrl>https://www.mybring.com/shipping-guide/assets/img/Posten_logo.svg</LogoUrl>
<MainDisplayCategory>Pakke</MainDisplayCategory>
<MaxWeightInKgs>35</MaxWeightInKgs>
<ProductName>Pakke levert hjem</ProductName>
<ShortName>Pakke levert hjem</ShortName>
<SubDisplayCategory>Til privatpersoner</SubDisplayCategory>
<Trackable>true</Trackable>
</GuiInformationType>
<Id>5600</Id>
<ProductionCode>5600</ProductionCode>
</ProductOutputType>
</Products>
</ConsignmentOutputType>
</Consignments>
</ShippingGuideResponse>
<?xml version="1.0" encoding="UTF-8"?>
<ShippingGuideResponse uniqueId="66091c94-6565-4c42-9c49-34bab012236d">
<Consignments>
<ConsignmentOutputType consignmentId="1">
<Products>
<ProductOutputType>
<Errors>
<ErrorType>
<code>INVALID_MEASUREMENTS</code>
<description>Consignment null with total chargeable weight null grams is not within weight limit null grams</description>
<errorCode>CONSIGNMENT_CHARGEABLE_WEIGHT_LIMIT_EXCEEDED</errorCode>
</ErrorType>
</Errors>
<Id>5800</Id>
<ProductionCode>5800</ProductionCode>
</ProductOutputType>
</Products>
</ConsignmentOutputType>
</Consignments>
</ShippingGuideResponse>
<?xml version="1.0" encoding="UTF-8"?>
<ShippingGuideResponse uniqueId="66091c94-6565-4c42-9c49-34bab012236d">
<Consignments>
<ConsignmentOutputType consignmentId="1">
<Products>
<ProductOutputType>
<Errors>
<ErrorType>
<code>INVALID_MEASUREMENTS</code>
<description>The consignment packages total weight exceeds the maximum weight of null grams for product null</description>
<errorCode>CONSIGNMENT_NOT_WITHIN_WEIGHT_LIMIT</errorCode>
</ErrorType>
</Errors>
<Id>5800</Id>
<ProductionCode>5800</ProductionCode>
</ProductOutputType>
</Products>
</ConsignmentOutputType>
</Consignments>
</ShippingGuideResponse>
<?xml version="1.0" encoding="UTF-8"?>
<ShippingGuideResponse uniqueId="66091c94-6565-4c42-9c49-34bab012236d">
<Consignments>
<ConsignmentOutputType consignmentId="1">
<Products>
<ProductOutputType>
<Errors>
<ErrorType>
<code>INVALID_ARGUMENT</code>
<description>The product null is not available for provided customer/day/area</description>
<errorCode>COURIER_PRODUCT_NOT_AVAILABLE</errorCode>
</ErrorType>
</Errors>
<Id>5800</Id>
<ProductionCode>5800</ProductionCode>
</ProductOutputType>
</Products>
</ConsignmentOutputType>
</Consignments>
</ShippingGuideResponse>
<?xml version="1.0" encoding="UTF-8"?>
<ShippingGuideResponse uniqueId="66091c94-6565-4c42-9c49-34bab012236d">
<Consignments>
<ConsignmentOutputType consignmentId="1">
<Products>
<ProductOutputType>
<Errors>
<ErrorType>
<code>FORBIDDEN</code>
<description>User does not have access to customer null. Either the customer number is misspelled or you don't have access to that customer in mybring. API customer numbers can be viewed in the profile pages in mybring or fetched using the Booking API's Customer Endpoint (see developer.bring.com).</description>
<errorCode>CUSTOMER_FORBIDDEN</errorCode>
</ErrorType>
</Errors>
<Id>5800</Id>
<ProductionCode>5800</ProductionCode>
</ProductOutputType>
</Products>
</ConsignmentOutputType>
</Consignments>
</ShippingGuideResponse>
<?xml version="1.0" encoding="UTF-8"?>
<ShippingGuideResponse uniqueId="66091c94-6565-4c42-9c49-34bab012236d">
<Consignments>
<ConsignmentOutputType consignmentId="1">
<Products>
<ProductOutputType>
<Errors>
<ErrorType>
<code>FORBIDDEN</code>
<description>User does not have access to financial information for customer null. You might want to contact the mybring administrator for this customer (typically a privileged user from that customer).</description>
<errorCode>CUSTOMER_NO_FINANCIAL_ACCESS</errorCode>
</ErrorType>
</Errors>
<Id>5800</Id>
<ProductionCode>5800</ProductionCode>
</ProductOutputType>
</Products>
</ConsignmentOutputType>
</Consignments>
</ShippingGuideResponse>
<?xml version="1.0" encoding="UTF-8"?>
<ShippingGuideResponse uniqueId="66091c94-6565-4c42-9c49-34bab012236d">
<Consignments>
<ConsignmentOutputType consignmentId="1">
<Products>
<ProductOutputType>
<Errors>
<ErrorType>
<code>INVALID_ARGUMENT</code>
<description>Customer not applicable for product null</description>
<errorCode>CUSTOMER_NOT_APPLICABLE_FOR_PRODUCT</errorCode>
</ErrorType>
</Errors>
<Id>5800</Id>
<ProductionCode>5800</ProductionCode>
</ProductOutputType>
</Products>
</ConsignmentOutputType>
</Consignments>
</ShippingGuideResponse>
<?xml version="1.0" encoding="UTF-8"?>
<ShippingGuideResponse uniqueId="66091c94-6565-4c42-9c49-34bab012236d">
<Consignments>
<ConsignmentOutputType consignmentId="1">
<Products>
<ProductOutputType>
<Errors>
<ErrorType>
<code>NOT_FOUND</code>
<description>Customer null not found</description>
<errorCode>CUSTOMER_NOT_FOUND</errorCode>
</ErrorType>
</Errors>
<Id>5800</Id>
<ProductionCode>5800</ProductionCode>
</ProductOutputType>
</Products>
</ConsignmentOutputType>
</Consignments>
</ShippingGuideResponse>
<?xml version="1.0" encoding="UTF-8"?>
<ShippingGuideResponse uniqueId="66091c94-6565-4c42-9c49-34bab012236d">
<Consignments>
<ConsignmentOutputType consignmentId="1">
<Products>
<ProductOutputType>
<Errors>
<ErrorType>
<code>INVALID_ARGUMENT</code>
<description>Product ? requires a customer number set on the product element</description>
<errorCode>CUSTOMER_NOT_SPECIFIED</errorCode>
</ErrorType>
</Errors>
<Id>5800</Id>
<ProductionCode>5800</ProductionCode>
</ProductOutputType>
</Products>
</ConsignmentOutputType>
</Consignments>
</ShippingGuideResponse>
<?xml version="1.0" encoding="UTF-8"?>
<ShippingGuideResponse uniqueId="66091c94-6565-4c42-9c49-34bab012236d">
<Consignments>
<ConsignmentOutputType consignmentId="1">
<Products>
<ProductOutputType>
<Errors>
<ErrorType>
<code>INTERNAL_ERROR</code>
<description>An external service for product ? is currently not available. If the problem persists, please contact us</description>
<errorCode>EXTERNAL_SERVICE_UNAVAILABLE</errorCode>
</ErrorType>
</Errors>
<Id>5800</Id>
<ProductionCode>5800</ProductionCode>
</ProductOutputType>
</Products>
</ConsignmentOutputType>
</Consignments>
</ShippingGuideResponse>
<?xml version="1.0" encoding="UTF-8"?>
<ShippingGuideResponse uniqueId="66091c94-6565-4c42-9c49-34bab012236d">
<Consignments>
<ConsignmentOutputType consignmentId="1">
<Products>
<ProductOutputType>
<Errors>
<ErrorType>
<code>INTERNAL_ERROR</code>
<description>Internal Error</description>
<errorCode>INTERNAL_ERROR</errorCode>
</ErrorType>
</Errors>
<Id>5800</Id>
<ProductionCode>5800</ProductionCode>
</ProductOutputType>
</Products>
</ConsignmentOutputType>
</Consignments>
</ShippingGuideResponse>
<?xml version="1.0" encoding="UTF-8"?>
<ShippingGuideResponse uniqueId="66091c94-6565-4c42-9c49-34bab012236d">
<Consignments>
<ConsignmentOutputType consignmentId="1">
<Products>
<ProductOutputType>
<Errors>
<ErrorType>
<code>INVALID_ARGUMENT</code>
<errorCode>INVALID_ARGUMENTS</errorCode>
</ErrorType>
</Errors>
<Id>5800</Id>
<ProductionCode>5800</ProductionCode>
</ProductOutputType>
</Products>
</ConsignmentOutputType>
</Consignments>
</ShippingGuideResponse>
<?xml version="1.0" encoding="UTF-8"?>
<ShippingGuideResponse uniqueId="66091c94-6565-4c42-9c49-34bab012236d">
<Consignments>
<ConsignmentOutputType consignmentId="1">
<Products>
<ProductOutputType>
<Errors>
<ErrorType>
<code>INVALID_ARGUMENT</code>
<description>Product null can not be sent from country null to country null</description>
<errorCode>INVALID_COUNTRY_PAIR</errorCode>
</ErrorType>
</Errors>
<Id>5800</Id>
<ProductionCode>5800</ProductionCode>
</ProductOutputType>
</Products>
</ConsignmentOutputType>
</Consignments>
</ShippingGuideResponse>
<?xml version="1.0" encoding="UTF-8"?>
<ShippingGuideResponse uniqueId="66091c94-6565-4c42-9c49-34bab012236d">
<Consignments>
<ConsignmentOutputType consignmentId="1">
<Products>
<ProductOutputType>
<Errors>
<ErrorType>
<code>INVALID_ARGUMENT</code>
<description>Cannot add ? with customer null</description>
<errorCode>INVALID_CUSTOMER_VAS_COMBINATION</errorCode>
</ErrorType>
</Errors>
<Id>5800</Id>
<ProductionCode>5800</ProductionCode>
</ProductOutputType>
</Products>
</ConsignmentOutputType>
</Consignments>
</ShippingGuideResponse>
<?xml version="1.0" encoding="UTF-8"?>
<ShippingGuideResponse uniqueId="66091c94-6565-4c42-9c49-34bab012236d">
<Consignments>
<ConsignmentOutputType consignmentId="1">
<Products>
<ProductOutputType>
<Errors>
<ErrorType>
<code>INVALID_ARGUMENT</code>
<description>Cannot add ? with product null with specified shipment details</description>
<errorCode>INVALID_SERVICE_VAS_COMBINATION</errorCode>
</ErrorType>
</Errors>
<Id>5800</Id>
<ProductionCode>5800</ProductionCode>
</ProductOutputType>
</Products>
</ConsignmentOutputType>
</Consignments>
</ShippingGuideResponse>
<?xml version="1.0" encoding="UTF-8"?>
<ShippingGuideResponse uniqueId="66091c94-6565-4c42-9c49-34bab012236d">
<Consignments>
<ConsignmentOutputType consignmentId="1">
<Products>
<ProductOutputType>
<Errors>
<ErrorType>
<code>INVALID_ARGUMENT</code>
<description>Incompatible Value Added Service combination. ? additional services can not be used together.</description>
<errorCode>INVALID_VAS_COMBINATION</errorCode>
</ErrorType>
</Errors>
<Id>5800</Id>
<ProductionCode>5800</ProductionCode>
</ProductOutputType>
</Products>
</ConsignmentOutputType>
</Consignments>
</ShippingGuideResponse>
<?xml version="1.0" encoding="UTF-8"?>
<ShippingGuideResponse uniqueId="66091c94-6565-4c42-9c49-34bab012236d">
<Consignments>
<ConsignmentOutputType consignmentId="1">
<Products>
<ProductOutputType>
<Errors>
<ErrorType>
<code>INVALID_ARGUMENT</code>
<description>Main customer number is required for service ?</description>
<errorCode>MAIN_CUSTOMER_NUMBER_REQUIRED</errorCode>
</ErrorType>
</Errors>
<Id>5800</Id>
<ProductionCode>5800</ProductionCode>
</ProductOutputType>
</Products>
</ConsignmentOutputType>
</Consignments>
</ShippingGuideResponse>
<?xml version="1.0" encoding="UTF-8"?>
<ShippingGuideResponse uniqueId="66091c94-6565-4c42-9c49-34bab012236d">
<Consignments>
<ConsignmentOutputType consignmentId="1">
<Products>
<ProductOutputType>
<Errors>
<ErrorType>
<code>INVALID_ARGUMENT</code>
<description>Multiple Packages are not supported for product null</description>
<errorCode>MULTIPLE_PACKAGE_NOT_SUPPORTED</errorCode>
</ErrorType>
</Errors>
<Id>5800</Id>
<ProductionCode>5800</ProductionCode>
</ProductOutputType>
</Products>
</ConsignmentOutputType>
</Consignments>
</ShippingGuideResponse>
<?xml version="1.0" encoding="UTF-8"?>
<ShippingGuideResponse uniqueId="66091c94-6565-4c42-9c49-34bab012236d">
<Consignments>
<ConsignmentOutputType consignmentId="1">
<Products>
<ProductOutputType>
<Errors>
<ErrorType>
<code>INVALID_ARGUMENT</code>
<description>nonstandardcourierservice must be provided</description>
<errorCode>NON_STANDARD_COURIER_SERVICE_REQUIRED</errorCode>
</ErrorType>
</Errors>
<Id>5800</Id>
<ProductionCode>5800</ProductionCode>
</ProductOutputType>
</Products>
</ConsignmentOutputType>
</Consignments>
</ShippingGuideResponse>
<?xml version="1.0" encoding="UTF-8"?>
<ShippingGuideResponse uniqueId="66091c94-6565-4c42-9c49-34bab012236d">
<Consignments>
<ConsignmentOutputType consignmentId="1">
<Products>
<ProductOutputType>
<Errors>
<ErrorType>
<code>INVALID_ARGUMENT</code>
<description>NumberOfPallets or LoadMeters cannot be used with product null</description>
<errorCode>NUMBER_OF_PALLETS_AND_LOAD_METERS_NOT_SUPPORTED</errorCode>
</ErrorType>
</Errors>
<Id>5800</Id>
<ProductionCode>5800</ProductionCode>
</ProductOutputType>
</Products>
</ConsignmentOutputType>
</Consignments>
</ShippingGuideResponse>
<?xml version="1.0" encoding="UTF-8"?>
<ShippingGuideResponse uniqueId="66091c94-6565-4c42-9c49-34bab012236d">
<Consignments>
<ConsignmentOutputType consignmentId="1">
<Products>
<ProductOutputType>
<Errors>
<ErrorType>
<code>INTERNAL_ERROR</code>
<description>The oil express product is not available between 2300 and 0400 hours.</description>
<errorCode>OIL_EXPRESS_NOT_AVAILABLE</errorCode>
</ErrorType>
</Errors>
<Id>5800</Id>
<ProductionCode>5800</ProductionCode>
</ProductOutputType>
</Products>
</ConsignmentOutputType>
</Consignments>
</ShippingGuideResponse>
<?xml version="1.0" encoding="UTF-8"?>
<ShippingGuideResponse uniqueId="66091c94-6565-4c42-9c49-34bab012236d">
<Consignments>
<ConsignmentOutputType consignmentId="1">
<Products>
<ProductOutputType>
<Errors>
<ErrorType>
<code>INVALID_ARGUMENT</code>
<description>Product null can not be sent between the given postal codes / countries</description>
<errorCode>OUTSIDE_COVERAGE_AREA</errorCode>
</ErrorType>
</Errors>
<Id>5800</Id>
<ProductionCode>5800</ProductionCode>
</ProductOutputType>
</Products>
</ConsignmentOutputType>
</Consignments>
</ShippingGuideResponse>
<?xml version="1.0" encoding="UTF-8"?>
<ShippingGuideResponse uniqueId="66091c94-6565-4c42-9c49-34bab012236d">
<Consignments>
<ConsignmentOutputType consignmentId="1">
<Products>
<ProductOutputType>
<Errors>
<ErrorType>
<code>INVALID_ARGUMENT</code>
<description>Product null not available as EXPRESS between the given postal codes / countries</description>
<errorCode>OUTSIDE_COVERAGE_AREA_EXPRESS</errorCode>
</ErrorType>
</Errors>
<Id>5800</Id>
<ProductionCode>5800</ProductionCode>
</ProductOutputType>
</Products>
</ConsignmentOutputType>
</Consignments>
</ShippingGuideResponse>
<?xml version="1.0" encoding="UTF-8"?>
<ShippingGuideResponse uniqueId="66091c94-6565-4c42-9c49-34bab012236d">
<Consignments>
<ConsignmentOutputType consignmentId="1">
<Products>
<ProductOutputType>
<Errors>
<ErrorType>
<code>INVALID_ARGUMENT</code>
<description>Product null can not be sent from a special postal code</description>
<errorCode>OUTSIDE_COVERAGE_AREA_FROM_SPECIAL_POSTAL_CODE</errorCode>
</ErrorType>
</Errors>
<Id>5800</Id>
<ProductionCode>5800</ProductionCode>
</ProductOutputType>
</Products>
</ConsignmentOutputType>
</Consignments>
</ShippingGuideResponse>
<?xml version="1.0" encoding="UTF-8"?>
<ShippingGuideResponse uniqueId="66091c94-6565-4c42-9c49-34bab012236d">
<Consignments>
<ConsignmentOutputType consignmentId="1">
<Products>
<ProductOutputType>
<Errors>
<ErrorType>
<code>INVALID_ARGUMENT</code>
<description>Product null can not be sent from a Svalbard postal code</description>
<errorCode>OUTSIDE_COVERAGE_AREA_FROM_SVALBARD</errorCode>
</ErrorType>
</Errors>
<Id>5800</Id>
<ProductionCode>5800</ProductionCode>
</ProductOutputType>
</Products>
</ConsignmentOutputType>
</Consignments>
</ShippingGuideResponse>
<?xml version="1.0" encoding="UTF-8"?>
<ShippingGuideResponse uniqueId="66091c94-6565-4c42-9c49-34bab012236d">
<Consignments>
<ConsignmentOutputType consignmentId="1">
<Products>
<ProductOutputType>
<Errors>
<ErrorType>
<code>INVALID_ARGUMENT</code>
<description>Product null can not be sent to/from a po box postal code</description>
<errorCode>OUTSIDE_COVERAGE_AREA_PO_BOX</errorCode>
</ErrorType>
</Errors>
<Id>5800</Id>
<ProductionCode>5800</ProductionCode>
</ProductOutputType>
</Products>
</ConsignmentOutputType>
</Consignments>
</ShippingGuideResponse>
<?xml version="1.0" encoding="UTF-8"?>
<ShippingGuideResponse uniqueId="66091c94-6565-4c42-9c49-34bab012236d">
<Consignments>
<ConsignmentOutputType consignmentId="1">
<Products>
<ProductOutputType>
<Errors>
<ErrorType>
<code>INVALID_ARGUMENT</code>
<description>Product null can not be sent to/from a special postal code</description>
<errorCode>OUTSIDE_COVERAGE_AREA_SPECIAL_POSTAL_CODE</errorCode>
</ErrorType>
</Errors>
<Id>5800</Id>
<ProductionCode>5800</ProductionCode>
</ProductOutputType>
</Products>
</ConsignmentOutputType>
</Consignments>
</ShippingGuideResponse>
<?xml version="1.0" encoding="UTF-8"?>
<ShippingGuideResponse uniqueId="66091c94-6565-4c42-9c49-34bab012236d">
<Consignments>
<ConsignmentOutputType consignmentId="1">
<Products>
<ProductOutputType>
<Errors>
<ErrorType>
<code>INVALID_ARGUMENT</code>
<description>Product null can not be sent to a po box postal code</description>
<errorCode>OUTSIDE_COVERAGE_AREA_TO_PO_BOX</errorCode>
</ErrorType>
</Errors>
<Id>5800</Id>
<ProductionCode>5800</ProductionCode>
</ProductOutputType>
</Products>
</ConsignmentOutputType>
</Consignments>
</ShippingGuideResponse>
<?xml version="1.0" encoding="UTF-8"?>
<ShippingGuideResponse uniqueId="66091c94-6565-4c42-9c49-34bab012236d">
<Consignments>
<ConsignmentOutputType consignmentId="1">
<Products>
<ProductOutputType>
<Errors>
<ErrorType>
<code>INVALID_ARGUMENT</code>
<description>Product null can not be sent to a special postal code</description>
<errorCode>OUTSIDE_COVERAGE_AREA_TO_SPECIAL_POSTAL_CODE</errorCode>
</ErrorType>
</Errors>
<Id>5800</Id>
<ProductionCode>5800</ProductionCode>
</ProductOutputType>
</Products>
</ConsignmentOutputType>
</Consignments>
</ShippingGuideResponse>
<?xml version="1.0" encoding="UTF-8"?>
<ShippingGuideResponse uniqueId="66091c94-6565-4c42-9c49-34bab012236d">
<Consignments>
<ConsignmentOutputType consignmentId="1">
<Products>
<ProductOutputType>
<Errors>
<ErrorType>
<code>INVALID_ARGUMENT</code>
<description>Product null can not be sent to a Svalbard postal code</description>
<errorCode>OUTSIDE_COVERAGE_AREA_TO_SVALBARD</errorCode>
</ErrorType>
</Errors>
<Id>5800</Id>
<ProductionCode>5800</ProductionCode>
</ProductOutputType>
</Products>
</ConsignmentOutputType>
</Consignments>
</ShippingGuideResponse>
<?xml version="1.0" encoding="UTF-8"?>
<ShippingGuideResponse uniqueId="66091c94-6565-4c42-9c49-34bab012236d">
<Consignments>
<ConsignmentOutputType consignmentId="1">
<Products>
<ProductOutputType>
<Errors>
<ErrorType>
<code>INVALID_MEASUREMENTS</code>
<description>Package ? is smaller than min dimensions of null x null x null</description>
<errorCode>PACKAGE_DIMENSIONS_TOO_SMALL</errorCode>
</ErrorType>
</Errors>
<Id>5800</Id>
<ProductionCode>5800</ProductionCode>
</ProductOutputType>
</Products>
</ConsignmentOutputType>
</Consignments>
</ShippingGuideResponse>
<?xml version="1.0" encoding="UTF-8"?>
<ShippingGuideResponse uniqueId="66091c94-6565-4c42-9c49-34bab012236d">
<Consignments>
<ConsignmentOutputType consignmentId="1">
<Products>
<ProductOutputType>
<Errors>
<ErrorType>
<code>INVALID_MEASUREMENTS</code>
<description>Package ? exceed maximum weight of null grams for product null</description>
<errorCode>PACKAGE_NOT_WITHIN_WEIGHT_LIMIT</errorCode>
</ErrorType>
</Errors>
<Id>5800</Id>
<ProductionCode>5800</ProductionCode>
</ProductOutputType>
</Products>
</ConsignmentOutputType>
</Consignments>
</ShippingGuideResponse>
<?xml version="1.0" encoding="UTF-8"?>
<ShippingGuideResponse uniqueId="66091c94-6565-4c42-9c49-34bab012236d">
<Consignments>
<ConsignmentOutputType consignmentId="1">
<Products>
<ProductOutputType>
<Errors>
<ErrorType>
<code>INVALID_MEASUREMENTS</code>
<description>Package null exceed maximum measurements for product null</description>
<errorCode>PACKAGE_TOO_BIG</errorCode>
</ErrorType>
</Errors>
<Id>5800</Id>
<ProductionCode>5800</ProductionCode>
</ProductOutputType>
</Products>
</ConsignmentOutputType>
</Consignments>
</ShippingGuideResponse>
<?xml version="1.0" encoding="UTF-8"?>
<ShippingGuideResponse uniqueId="66091c94-6565-4c42-9c49-34bab012236d">
<Consignments>
<ConsignmentOutputType consignmentId="1">
<Products>
<ProductOutputType>
<Errors>
<ErrorType>
<code>INVALID_MEASUREMENTS</code>
<description>Package ? does not satisfy minimum weight or volume criteria</description>
<errorCode>PACKAGE_WEIGHT_OR_VOLUME_BELOW_MINIMUM_LIMIT</errorCode>
</ErrorType>
</Errors>
<Id>5800</Id>
<ProductionCode>5800</ProductionCode>
</ProductOutputType>
</Products>
</ConsignmentOutputType>
</Consignments>
</ShippingGuideResponse>
<?xml version="1.0" encoding="UTF-8"?>
<ShippingGuideResponse uniqueId="66091c94-6565-4c42-9c49-34bab012236d">
<Consignments>
<ConsignmentOutputType consignmentId="1">
<Products>
<ProductOutputType>
<Errors>
<ErrorType>
<code>INTERNAL_ERROR</code>
<description>Price calculation failed for product ?. If the problem persists, please contact us</description>
<errorCode>PRICE_CALCULATION_FAILED</errorCode>
</ErrorType>
</Errors>
<Id>5800</Id>
<ProductionCode>5800</ProductionCode>
</ProductOutputType>
</Products>
</ConsignmentOutputType>
</Consignments>
</ShippingGuideResponse>
<?xml version="1.0" encoding="UTF-8"?>
<ShippingGuideResponse uniqueId="66091c94-6565-4c42-9c49-34bab012236d">
<Consignments>
<ConsignmentOutputType consignmentId="1">
<Products>
<ProductOutputType>
<Errors>
<ErrorType>
<code>INVALID_ARGUMENT</code>
<description>Product ? is not supported on this version. Use latest service ? for the product.</description>
<errorCode>PRODUCT_NOT_SUPPORTED</errorCode>
</ErrorType>
</Errors>
<Id>5800</Id>
<ProductionCode>5800</ProductionCode>
</ProductOutputType>
</Products>
</ConsignmentOutputType>
</Consignments>
</ShippingGuideResponse>
<?xml version="1.0" encoding="UTF-8"?>
<ShippingGuideResponse uniqueId="66091c94-6565-4c42-9c49-34bab012236d">
<Consignments>
<ConsignmentOutputType consignmentId="1">
<Products>
<ProductOutputType>
<Errors>
<ErrorType>
<code>INVALID_ARGUMENT</code>
<description>Product null was skipped since shipment can use normal courier product.</description>
<errorCode>PRODUCT_SKIPPED_COURIER</errorCode>
</ErrorType>
</Errors>
<Id>5800</Id>
<ProductionCode>5800</ProductionCode>
</ProductOutputType>
</Products>
</ConsignmentOutputType>
</Consignments>
</ShippingGuideResponse>
<?xml version="1.0" encoding="UTF-8"?>
<ShippingGuideResponse uniqueId="66091c94-6565-4c42-9c49-34bab012236d">
<Consignments>
<ConsignmentOutputType consignmentId="1">
<Products>
<ProductOutputType>
<Errors>
<ErrorType>
<code>INVALID_ARGUMENT</code>
<description>Unknown product ID or product ? not applicable for given EDI flag.</description>
<errorCode>PRODUCT_UNKNOWN</errorCode>
</ErrorType>
</Errors>
<Id>5800</Id>
<ProductionCode>5800</ProductionCode>
</ProductOutputType>
</Products>
</ConsignmentOutputType>
</Consignments>
</ShippingGuideResponse>
<?xml version="1.0" encoding="UTF-8"?>
<ShippingGuideResponse uniqueId="66091c94-6565-4c42-9c49-34bab012236d">
<Consignments>
<ConsignmentOutputType consignmentId="1">
<Products>
<ProductOutputType>
<Errors>
<ErrorType>
<code>INVALID_MEASUREMENTS</code>
<description>Product null requires weight information for package ?</description>
<errorCode>REQUIRES_WEIGHT</errorCode>
</ErrorType>
</Errors>
<Id>5800</Id>
<ProductionCode>5800</ProductionCode>
</ProductOutputType>
</Products>
</ConsignmentOutputType>
</Consignments>
</ShippingGuideResponse>
<?xml version="1.0" encoding="UTF-8"?>
<ShippingGuideResponse uniqueId="66091c94-6565-4c42-9c49-34bab012236d">
<Consignments>
<ConsignmentOutputType consignmentId="1">
<Products>
<ProductOutputType>
<Errors>
<ErrorType>
<code>INVALID_ARGUMENT</code>
<description>Saturday delivery (1062) is not available between postal codes null and null</description>
<errorCode>SATURDAY_DELIVERY_NOT_AVAILABLE_FOR_ROUTE</errorCode>
</ErrorType>
</Errors>
<Id>5800</Id>
<ProductionCode>5800</ProductionCode>
</ProductOutputType>
</Products>
</ConsignmentOutputType>
</Consignments>
</ShippingGuideResponse>
<?xml version="1.0" encoding="UTF-8"?>
<ShippingGuideResponse uniqueId="66091c94-6565-4c42-9c49-34bab012236d">
<Consignments>
<ConsignmentOutputType consignmentId="1">
<Products>
<ProductOutputType>
<Errors>
<ErrorType>
<code>INVALID_ARGUMENT</code>
<description>Shipping date cannot be more than 10 days into the future</description>
<errorCode>SHIPPING_DATE_MAX_10_DAYS_INTO_FUTURE</errorCode>
</ErrorType>
</Errors>
<Id>5800</Id>
<ProductionCode>5800</ProductionCode>
</ProductOutputType>
</Products>
</ConsignmentOutputType>
</Consignments>
</ShippingGuideResponse>
<?xml version="1.0" encoding="UTF-8"?>
<ShippingGuideResponse uniqueId="66091c94-6565-4c42-9c49-34bab012236d">
<Consignments>
<ConsignmentOutputType consignmentId="1">
<Products>
<ProductOutputType>
<Errors>
<ErrorType>
<code>INVALID_ARGUMENT</code>
<description>Shipping date must be current date or in the future</description>
<errorCode>SHIPPING_DATE_MUST_BE_CURRENT_DATE_OR_FUTURE</errorCode>
</ErrorType>
</Errors>
<Id>5800</Id>
<ProductionCode>5800</ProductionCode>
</ProductOutputType>
</Products>
</ConsignmentOutputType>
</Consignments>
</ShippingGuideResponse>
<?xml version="1.0" encoding="UTF-8"?>
<ShippingGuideResponse uniqueId="66091c94-6565-4c42-9c49-34bab012236d">
<Consignments>
<ConsignmentOutputType consignmentId="1">
<Products>
<ProductOutputType>
<Errors>
<ErrorType>
<code>INVALID_MEASUREMENTS</code>
<description>Number of packages exceeds maximum of null</description>
<errorCode>TOO_MANY_PACKAGES</errorCode>
</ErrorType>
</Errors>
<Id>5800</Id>
<ProductionCode>5800</ProductionCode>
</ProductOutputType>
</Products>
</ConsignmentOutputType>
</Consignments>
</ShippingGuideResponse>
<?xml version="1.0" encoding="UTF-8"?>
<ShippingGuideResponse uniqueId="66091c94-6565-4c42-9c49-34bab012236d">
<Consignments>
<ConsignmentOutputType consignmentId="1">
<Products>
<ProductOutputType>
<Errors>
<ErrorType>
<code>INVALID_ARGUMENT</code>
<description>Additional service(s) ? requires customer number</description>
<errorCode>VAS_REQUIRES_CUSTOMER_NUMBER</errorCode>
</ErrorType>
</Errors>
<Id>5800</Id>
<ProductionCode>5800</ProductionCode>
</ProductOutputType>
</Products>
</ConsignmentOutputType>
</Consignments>
</ShippingGuideResponse>
<?xml version="1.0" encoding="UTF-8"?>
<ShippingGuideResponse uniqueId="66091c94-6565-4c42-9c49-34bab012236d">
<Consignments>
<ConsignmentOutputType consignmentId="1">
<Products>
<ProductOutputType>
<Errors>
<ErrorType>
<code>INVALID_MEASUREMENTS</code>
<description>Weight and either of volume or dimensions(length, width, height) or pallets or load meter is required for product null, packageId : ?</description>
<errorCode>WEIGHT_AND_VOLUME_OR_DIMENSIONS_OR_PALLETS_OR_LOAD_METER_REQUIRED</errorCode>
</ErrorType>
</Errors>
<Id>5800</Id>
<ProductionCode>5800</ProductionCode>
</ProductOutputType>
</Products>
</ConsignmentOutputType>
</Consignments>
</ShippingGuideResponse>
<?xml version="1.0" encoding="UTF-8"?>
<ShippingGuideResponse uniqueId="66091c94-6565-4c42-9c49-34bab012236d">
<Consignments>
<ConsignmentOutputType consignmentId="1">
<Products>
<ProductOutputType>
<Errors>
<ErrorType>
<code>INVALID_MEASUREMENTS</code>
<description>Either weight or dimensions(length, width, height) or volume is required for product null, packageId : ?</description>
<errorCode>WEIGHT_OR_DIMENSIONS_OR_VOLUME_REQUIRED</errorCode>
</ErrorType>
</Errors>
<Id>5800</Id>
<ProductionCode>5800</ProductionCode>
</ProductOutputType>
</Products>
</ConsignmentOutputType>
</Consignments>
</ShippingGuideResponse>
<?xml version="1.0" encoding="UTF-8"?>
<ShippingGuideResponse uniqueId="66091c94-6565-4c42-9c49-34bab012236d">
<Consignments>
<ConsignmentOutputType consignmentId="1">
<Products>
<ProductOutputType>
<Errors>
<ErrorType>
<code>INVALID_MEASUREMENTS</code>
<description>Weight and dimensions(length, width, height) are required for product null, packageId : ?</description>
<errorCode>WEIGHT_OR_DIMENSIONS_REQUIRED</errorCode>
</ErrorType>
</Errors>
<Id>5800</Id>
<ProductionCode>5800</ProductionCode>
</ProductOutputType>
</Products>
</ConsignmentOutputType>
</Consignments>
</ShippingGuideResponse>
<?xml version="1.0" encoding="UTF-8"?>
<ShippingGuideResponse uniqueId="66091c94-6565-4c42-9c49-34bab012236d">
<Consignments>
<ConsignmentOutputType consignmentId="1">
<Products>
<ProductOutputType>
<EstimatedDeliveryTimes>
<EstimatedDeliveryTime>
<DeliveryEndTime>18:00</DeliveryEndTime>
<DeliveryStartTime>15:00</DeliveryStartTime>
<FormattedExpectedDeliveryDate>17.11.2022</FormattedExpectedDeliveryDate>
<PickupPointId>121305</PickupPointId>
<ShippingDate>16.11.2022</ShippingDate>
<WorkingDays>1</WorkingDays>
</EstimatedDeliveryTime>
</EstimatedDeliveryTimes>
<Id>5800</Id>
<ProductionCode>5800</ProductionCode>
</ProductOutputType>
</Products>
</ConsignmentOutputType>
</Consignments>
</ShippingGuideResponse>
<?xml version="1.0" encoding="UTF-8"?>
<ShippingGuideResponse uniqueId="66091c94-6565-4c42-9c49-34bab012236d">
<Consignments>
<ConsignmentOutputType consignmentId="1">
<Products>
<ProductOutputType>
<EnvironmentalData>
<TransportLegEnvironmentalDataType>
<Description>Pakken leveres fossilfritt til din adresse</Description>
<EnvironmentalDataDetailsType>
<Electric>1</Electric>
</EnvironmentalDataDetailsType>
<FossilFree>true</FossilFree>
<TransportLegType>LAST_MILE</TransportLegType>
</TransportLegEnvironmentalDataType>
</EnvironmentalData>
<ExpectedDeliveryType>
<DateAndTimeType>
<Day>15</Day>
<Hour>13</Hour>
<Minute>23</Minute>
<Month>11</Month>
<Year>2022</Year>
</DateAndTimeType>
<ExpectedDeliveryDateType>
<Day>16</Day>
<Month>11</Month>
<TimeSlots>
<TimeSlotType>
<DayTimeType>
<Hour>22</Hour>
<Minute>0</Minute>
</DayTimeType>
<DayTimeType>
<Hour>15</Hour>
<Minute>0</Minute>
</DayTimeType>
</TimeSlotType>
</TimeSlots>
<Year>2022</Year>
</ExpectedDeliveryDateType>
<FormattedEarliestPickupDate>15.11.2022 13:23</FormattedEarliestPickupDate>
<FormattedExpectedDeliveryDate>16.11.2022</FormattedExpectedDeliveryDate>
<WorkingDays>1</WorkingDays>
</ExpectedDeliveryType>
<Id>5600</Id>
<ProductionCode>5600</ProductionCode>
</ProductOutputType>
</Products>
</ConsignmentOutputType>
</Consignments>
</ShippingGuideResponse>
<?xml version="1.0" encoding="UTF-8"?>
<ShippingGuideResponse uniqueId="66091c94-6565-4c42-9c49-34bab012236d">
<Consignments>
<ConsignmentOutputType consignmentId="1">
<Products>
<ProductOutputType>
<Id>5600</Id>
<PricesType>
<PriceType currencyCode="NOK">
<AdditionalServicePrices>
<AdditionalServicePriceType>
<AdditionalServiceFromProductionSystem>0041</AdditionalServiceFromProductionSystem>
<AdditionalServiceId>0041</AdditionalServiceId>
<DetailedPriceType>
<AmountWithVAT>0.00</AmountWithVAT>
<AmountWithoutVAT>0.00</AmountWithoutVAT>
<VAT>0.00</VAT>
</DetailedPriceType>
</AdditionalServicePriceType>
</AdditionalServicePrices>
<DetailedPriceType>
<AmountWithVAT>285.96</AmountWithVAT>
<AmountWithoutVAT>228.77</AmountWithoutVAT>
<VAT>57.19</VAT>
</DetailedPriceType>
<DetailedPriceType>
<AmountWithVAT>285.96</AmountWithVAT>
<AmountWithoutVAT>228.77</AmountWithoutVAT>
<VAT>57.19</VAT>
</DetailedPriceType>
</PriceType>
<PriceZonesType>
<TotalZoneCount>3</TotalZoneCount>
</PriceZonesType>
</PricesType>
<ProductionCode>5600</ProductionCode>
<ShippingWeight>1</ShippingWeight>
</ProductOutputType>
</Products>
</ConsignmentOutputType>
</Consignments>
</ShippingGuideResponse>
<?xml version="1.0" encoding="UTF-8"?>
<ShippingGuideResponse uniqueId="66091c94-6565-4c42-9c49-34bab012236d">
<Consignments>
<ConsignmentOutputType consignmentId="1">
<Products>
<ProductOutputType>
<Id>5800</Id>
<PricesType>
<PriceType currencyCode="NOK">
<DetailedPriceType>
<AmountWithVAT>185.04</AmountWithVAT>
<AmountWithoutVAT>148.03</AmountWithoutVAT>
<VAT>37.01</VAT>
</DetailedPriceType>
<DetailedPriceType>
<AmountWithVAT>185.04</AmountWithVAT>
<AmountWithoutVAT>148.03</AmountWithoutVAT>
<VAT>37.01</VAT>
</DetailedPriceType>
</PriceType>
<PriceZonesType>
<TotalZoneCount>3</TotalZoneCount>
</PriceZonesType>
</PricesType>
<ProductionCode>5800</ProductionCode>
<ShippingWeight>1</ShippingWeight>
</ProductOutputType>
</Products>
</ConsignmentOutputType>
</Consignments>
</ShippingGuideResponse>
<?xml version="1.0" encoding="UTF-8"?>
<ShippingGuideResponse uniqueId="66091c94-6565-4c42-9c49-34bab012236d">
<Consignments>
<ConsignmentOutputType consignmentId="1">
<Products>
<ProductOutputType>
<Id>5600</Id>
<PricesType>
<PriceType currencyCode="NOK">
<AdditionalServicePrices>
<AdditionalServicePriceType>
<AdditionalServiceFromProductionSystem>2012</AdditionalServiceFromProductionSystem>
<AdditionalServiceId>2012</AdditionalServiceId>
<DetailedPriceType>
<AmountWithVAT>37.50</AmountWithVAT>
<AmountWithoutVAT>30.00</AmountWithoutVAT>
<VAT>7.50</VAT>
</DetailedPriceType>
</AdditionalServicePriceType>
</AdditionalServicePrices>
<DetailedPriceType>
<AmountWithVAT>323.46</AmountWithVAT>
<AmountWithoutVAT>258.77</AmountWithoutVAT>
<VAT>64.69</VAT>
</DetailedPriceType>
<DetailedPriceType>
<AmountWithVAT>285.96</AmountWithVAT>
<AmountWithoutVAT>228.77</AmountWithoutVAT>
<VAT>57.19</VAT>
</DetailedPriceType>
</PriceType>
<PriceType currencyCode="NOK">
<AdditionalServicePrices>
<AdditionalServicePriceType>
<AdditionalServiceFromProductionSystem>2012</AdditionalServiceFromProductionSystem>
<AdditionalServiceId>2012</AdditionalServiceId>
<DetailedPriceType>
<AmountWithVAT>37.50</AmountWithVAT>
<AmountWithoutVAT>30.00</AmountWithoutVAT>
<VAT>7.50</VAT>
</DetailedPriceType>
</AdditionalServicePriceType>
</AdditionalServicePrices>
<DetailedPriceType>
<AmountWithVAT>323.46</AmountWithVAT>
<AmountWithoutVAT>258.77</AmountWithoutVAT>
<VAT>64.69</VAT>
</DetailedPriceType>
<DetailedPriceType>
<AmountWithVAT>285.96</AmountWithVAT>
<AmountWithoutVAT>228.77</AmountWithoutVAT>
<VAT>57.19</VAT>
</DetailedPriceType>
</PriceType>
<PriceZonesType>
<TotalZoneCount>5</TotalZoneCount>
</PriceZonesType>
</PricesType>
<ProductionCode>5600</ProductionCode>
<ShippingWeight>1</ShippingWeight>
</ProductOutputType>
</Products>
</ConsignmentOutputType>
</Consignments>
</ShippingGuideResponse>
<?xml version="1.0" encoding="UTF-8"?>
<ShippingGuideResponse uniqueId="66091c94-6565-4c42-9c49-34bab012236d">
<Consignments>
<ConsignmentOutputType consignmentId="1">
<Products>
<ProductOutputType>
<Id>5800</Id>
<ProductionCode>5800</ProductionCode>
<Warnings>
<WarningType>
<code>ADDITIONAL_SERVICE_NOT_APPLICABLE</code>
<description>Additional service null is not applicable for product null</description>
</WarningType>
</Warnings>
</ProductOutputType>
</Products>
</ConsignmentOutputType>
</Consignments>
</ShippingGuideResponse>
<?xml version="1.0" encoding="UTF-8"?>
<ShippingGuideResponse uniqueId="66091c94-6565-4c42-9c49-34bab012236d">
<Consignments>
<ConsignmentOutputType consignmentId="1">
<Products>
<ProductOutputType>
<Id>5800</Id>
<ProductionCode>5800</ProductionCode>
<Warnings>
<WarningType>
<code>ADDRESS_NOT_MATCHED</code>
<description>Recipient address can't be matched. Expected leadtime has been calculated based on postal code only, and might therefore be incorrect.</description>
</WarningType>
</Warnings>
</ProductOutputType>
</Products>
</ConsignmentOutputType>
</Consignments>
</ShippingGuideResponse>
<?xml version="1.0" encoding="UTF-8"?>
<ShippingGuideResponse uniqueId="66091c94-6565-4c42-9c49-34bab012236d">
<Consignments>
<ConsignmentOutputType consignmentId="1">
<Products>
<ProductOutputType>
<Id>5800</Id>
<ProductionCode>5800</ProductionCode>
<Warnings>
<WarningType>
<code>NO_ALTERNATIVE_DATES</code>
<description>Alternative dates is not available for service null</description>
</WarningType>
</Warnings>
</ProductOutputType>
</Products>
</ConsignmentOutputType>
</Consignments>
</ShippingGuideResponse>
<?xml version="1.0" encoding="UTF-8"?>
<ShippingGuideResponse uniqueId="66091c94-6565-4c42-9c49-34bab012236d">
<Consignments>
<ConsignmentOutputType consignmentId="1">
<Products>
<ProductOutputType>
<Id>5800</Id>
<ProductionCode>5800</ProductionCode>
<Warnings>
<WarningType>
<code>NO_ENVIRONMENTAL_DATA</code>
<description>Environmental data is not available for null</description>
</WarningType>
</Warnings>
</ProductOutputType>
</Products>
</ConsignmentOutputType>
</Consignments>
</ShippingGuideResponse>
<?xml version="1.0" encoding="UTF-8"?>
<ShippingGuideResponse uniqueId="66091c94-6565-4c42-9c49-34bab012236d">
<Consignments>
<ConsignmentOutputType consignmentId="1">
<Products>
<ProductOutputType>
<Id>5800</Id>
<ProductionCode>5800</ProductionCode>
<Warnings>
<WarningType>
<code>NO_EXPECTED_DELIVERY</code>
<description>Expected delivery date is not available</description>
</WarningType>
</Warnings>
</ProductOutputType>
</Products>
</ConsignmentOutputType>
</Consignments>
</ShippingGuideResponse>
<?xml version="1.0" encoding="UTF-8"?>
<ShippingGuideResponse uniqueId="66091c94-6565-4c42-9c49-34bab012236d">
<Consignments>
<ConsignmentOutputType consignmentId="1">
<Products>
<ProductOutputType>
<Id>5800</Id>
<ProductionCode>5800</ProductionCode>
<Warnings>
<WarningType>
<code>LEADTIME_NOT_FOUND</code>
<description>Expected delivery is not available</description>
</WarningType>
</Warnings>
</ProductOutputType>
</Products>
</ConsignmentOutputType>
</Consignments>
</ShippingGuideResponse>
<?xml version="1.0" encoding="UTF-8"?>
<ShippingGuideResponse uniqueId="66091c94-6565-4c42-9c49-34bab012236d">
<Consignments>
<ConsignmentOutputType consignmentId="1">
<Products>
<ProductOutputType>
<Id>5800</Id>
<ProductionCode>5800</ProductionCode>
<Warnings>
<WarningType>
<code>NO_PRICE_INFORMATION</code>
<description>The service currently does not offer price information for null</description>
</WarningType>
</Warnings>
</ProductOutputType>
</Products>
</ConsignmentOutputType>
</Consignments>
</ShippingGuideResponse>
<?xml version="1.0" encoding="UTF-8"?>
<ShippingGuideResponse uniqueId="66091c94-6565-4c42-9c49-34bab012236d">
<Consignments>
<ConsignmentOutputType consignmentId="1">
<Products>
<ProductOutputType>
<Id>5800</Id>
<ProductionCode>5800</ProductionCode>
<Warnings>
<WarningType>
<code>OUTSIDE_STANDARD_COVERAGE_AREA_FOR_PRODUCT</code>
<description>Outside standard coverage area for product: null</description>
</WarningType>
</Warnings>
</ProductOutputType>
</Products>
</ConsignmentOutputType>
</Consignments>
</ShippingGuideResponse>
<?xml version="1.0" encoding="UTF-8"?>
<ShippingGuideResponse uniqueId="66091c94-6565-4c42-9c49-34bab012236d">
<Consignments>
<ConsignmentOutputType consignmentId="1">
<Products>
<ProductOutputType>
<Id>5800</Id>
<ProductionCode>5800</ProductionCode>
<Warnings>
<WarningType>
<code>SPECIAL_CARGO_LIMITS_EXCEEDED</code>
<description>One or more of the packages dimensions exceeds the special cargo limits of null cm x null cm x null cm, or null kg, and price cannot be calculated automatically. Please contact us for a custom price quotation for this consignment</description>
</WarningType>
</Warnings>
</ProductOutputType>
</Products>
</ConsignmentOutputType>
</Consignments>
</ShippingGuideResponse>
<?xml version="1.0" encoding="UTF-8"?>
<ShippingGuideResponse uniqueId="66091c94-6565-4c42-9c49-34bab012236d">
<Consignments>
<ConsignmentOutputType consignmentId="1">
<Products>
<ProductOutputType>
<Id>5800</Id>
<ProductionCode>5800</ProductionCode>
<Warnings>
<WarningType>
<code>SPECIAL_HANDLING_LIMITS_EXCEEDED</code>
<description>One or more of the packages dimensions exceeds the special cargo handling limits of null cm x null cm x null cm, or null kg, and price cannot be calculated automatically. Please contact us for a custom price quotation for this consignment</description>
</WarningType>
</Warnings>
</ProductOutputType>
</Products>
</ConsignmentOutputType>
</Consignments>
</ShippingGuideResponse>
<?xml version="1.0" encoding="UTF-8"?>
<ShippingGuideResponse uniqueId="66091c94-6565-4c42-9c49-34bab012236d">
<Consignments>
<ConsignmentOutputType consignmentId="1">
<Products>
<ProductOutputType>
<Id>5800</Id>
<ProductionCode>5800</ProductionCode>
<Warnings>
<WarningType>
<code>SVALBARD_POSSIBLE_DELAY</code>
<description>For packages sent between Svalbard and mainland Norway, delays must be expected.</description>
</WarningType>
</Warnings>
</ProductOutputType>
</Products>
</ConsignmentOutputType>
</Consignments>
</ShippingGuideResponse>
{
"fieldErrors": [
{
"code": "INVALID_ARGUMENT",
"field": "numberofdeliverydates",
"message": "Number of alternative delivery dates must be less than 10"
}
]
}{
"fieldErrors": [
{
"code": "INVALID_ARGUMENT",
"field": "",
"message": "Consignment details missing"
}
]
}{
"fieldErrors": [
{
"code": "INVALID_ARGUMENT",
"field": "",
"message": "Package details missing for consignment 1"
}
]
}{
"fieldErrors": [
{
"code": "INVALID_ARGUMENT",
"field": "product",
"message": "One of the consignment is missing product id. Product id is mandatory on each consignment."
}
]
}<?xml version="1.0" encoding="UTF-8"?>
<Errors>
<FieldErrors>
<FieldError>
<Code>INVALID_ARGUMENT</Code>
<Field>numberofdeliverydates</Field>
<Message>Number of alternative delivery dates must be less than 10</Message>
</FieldError>
</FieldErrors>
</Errors>
<?xml version="1.0" encoding="UTF-8"?>
<Errors>
<FieldErrors>
<FieldError>
<Code>INVALID_ARGUMENT</Code>
<Message>Consignment details missing</Message>
</FieldError>
</FieldErrors>
</Errors>
<?xml version="1.0" encoding="UTF-8"?>
<Errors>
<FieldErrors>
<FieldError>
<Code>INVALID_ARGUMENT</Code>
<Message>Package details missing for consignment 1</Message>
</FieldError>
</FieldErrors>
</Errors>
<?xml version="1.0" encoding="UTF-8"?>
<Errors>
<FieldErrors>
<FieldError>
<Code>INVALID_ARGUMENT</Code>
<Field>product</Field>
<Message>One of the consignment is missing product id. Product id is mandatory on each consignment.</Message>
</FieldError>
</FieldErrors>
</Errors>
{
"fieldErrors": [
{
"code": "INTERNAL_ERROR",
"field": "",
"message": "Internal Error. Error Id: 123456789"
}
]
}<?xml version="1.0" encoding="UTF-8"?>
<Errors>
<FieldErrors>
<FieldError>
<Code>INTERNAL_ERROR</Code>
<Message>Internal Error. Error Id: 123456789</Message>
</FieldError>
</FieldErrors>
</Errors>